C     ASTROK
C
C     INCLUDE FILE FOR INTERIM LIBRARIES
C-----------------------------------------------------------------------:-------
C
C.....NAMELIST
C
C     AVGNO        AVOGADRO'S NUMBER
C     BZK          BOLTZMANN'S CONSTANT (CGS)
C     BZKEV        BOLTZMANN'S CONSTANTS (ELECTRON-VOLTS)
C     RGAS         GAS CONSTANT (AVGNO * BZK)
C     PMASS        PROTON MASS (CGS)
C     EMASS        ELECTRON MASS (CGS)
C     ECHRG        ELECTRONIC CHARGE (ESU)
C     STEFS        STEFAN'S CONSTANT
C     STEFA        RADIATION CONSTANT (= 4 * STEFS= CLIGHT)
C     GRAVG        GRAVITATIONAL CONSTANT (CGS)
C     PLANCK       PLANCK'S CONSTANT (CGS)
C     CLIGHT       SPEED OF LIGHT (CGS)
C
C     ELOG10       LN (10)
C     PI2, ETC     2 * PI, ETC...
C
C     SOLMASS      SOLAR MASS (CGS)
C     SOLLUM       SOLAR LUMINOSITY (CGS)
C     SOLRAD       SOLAR RADIUS (CGS)
C     SOLTEF       SOLAR EFFECTIVE TEMPERATURE (DEGREES K)
C     SOLG         SOLAR SURGACE GRAVITY (CGS)
C
C     .....L       LOGARITHM (BASE 10) OF SUFFIXED QUANTITY
C
C-----------------------------------------------------------------------:-------
C
C.....KMATHS
      PARAMETER (ZERO  =0.0)
      PARAMETER (ELOG10=2.302585093)
      PARAMETER (PI    =3.141592654)
      PARAMETER (PI2   =6.283185308)
      PARAMETER (PI3   =9.424777962)
      PARAMETER (PI4   =12.56637062)
C
C.....KPHYS                    .....LPHYS
      PARAMETER (CLIGHT=2.997925E10, CLIGTL=+10.47682075)
      PARAMETER (GRAVG =6.673E-8,    GRAVGL=- 7.1757)
      PARAMETER (PLANCK=6.6262E-27,  PLANKL=-26.17874)
      PARAMETER (AVGNO =6.0221E+23,  AVGNOL=+23.77975)
      PARAMETER (BZK   =1.3806E-16,  BZKL  =-15.85998)
      PARAMETER (BZKEV =8.6180E-05,  BZKEVL=- 4.06459)
      PARAMETER (RGAS  =8.3141E+07,  RGASL =+ 7.91982)
      PARAMETER (EMASS =9.1095E-28,  EMASSL=-27.04051)
      PARAMETER (PMASS =1.6726E-24,  PMASSL=-23.77661)
      PARAMETER (ECHRG =4.8029E-10,  ECHRGL=- 9.3185)
      PARAMETER (STEFS =5.671E-05,   STEFSL=- 4.2463)
      PARAMETER (STEFA =7.564E-15,   STEFAL=-14.1213)
C
C.....KASTRO                   .....LASTRO
      PARAMETER (SOLMAS=1.989E33,    SOLML =33.2986)
      PARAMETER (SOLRAD=6.960E10,    SOLRL =10.8426)
      PARAMETER (SOLLUM=3.826E33,    SOLLL =33.5827)
      PARAMETER (SOLTEF=5.770E03,    SOLTL = 3.7611)
      PARAMETER (SOLG  =2.740E04,    SOLGL = 4.4378)
