*+ CHR_CTOC - Write a character value into a string.
      SUBROUTINE CHR_CTOC (VALUE,CVALUE,NCHAR)
*    Description :
*     Write a character variable into a string using as concise a
*     format as possible.
*    Invocation :
*     CALL CHR_CTOC (VALUE, CVALUE, NCHAR)
*    Arguments :
*     VALUE  =  CHARACTER*(*) (Given)
*           Value to be written.
*     CVALUE  =  CHARACTER*(*) (Returned)
*           String into which the value is to be written.
*     NCHAR  =  INTEGER (Returned)
*           Field width.
*    Method :
*     The string length is determined, with trailing blanks removed.
*     The copy is done using an assignment.
*    Authors :
*     Jack Giddings.        (UCL::JRG)
*     A C Davenhall.        (ROE::ACD)
*    History :
*     3-JAN-1983:    Original.                      (UCL::JRG)
*     16-NOV-1984:   Documentation improved.        (ROE::ACD)
*     24-OCT-1988:   Documentation improved.        (RAL::AJC)
*    Type definitions :
      IMPLICIT NONE          ! Force Total Declarations.
*    Import :
      CHARACTER
     :  VALUE*(*)            ! Input value.
*    Export :
      CHARACTER
     :  CVALUE*(*)           ! String to be filled.
      INTEGER
     :  NCHAR                ! Field width.
*    External references :
      INTEGER
     :  CHR_LEN              ! String length.
*-

      NCHAR = CHR_LEN(VALUE)
      CVALUE = VALUE(1:NCHAR)

      END
