*+ CHR_EQUAL - Determine whether two strings are equal.
      LOGICAL FUNCTION CHR_EQUAL( STR1, STR2 )
*    Description :
*     Determine whether the two given strings are the same (with
*     case distinction).
*     Their lengths must be identical after removing trailing blanks.
*     This routine exists for historical reasons; its function is better
*     performed by a Fortran relational expression.
*    Invocation :
*     LOGICAL = CHR_EQUAL( STR1, STR2 )
*    Arguments :
*     STR1 = CHARACTER*(*) (Given)
*           First string.
*     STR2 = CHARACTER*(*) (Given)
*           Second string.
*    Result :
*     CHR_EQUAL = LOGICAL
*           Returned as .TRUE. if the two given strings are the same;
*           otherwise .FALSE.
*    Method :
*     Use a Fortran relational expression.
*    Authors :
*     Dave Baines.   (ROE::ASOC5)
*     A J Chipperfield  (RAL::AJC)
*    History :
*     28/06/1984 : Original version (ROE::ASOC5)
*     25/09/1988 : Remove INCLUDE 'SAE_PAR'
*                  Improve documentation  (RAL::AJC)
*     26/01/1990 : Re-write as portable version  (RAL::AJC)
*    Type Definitions :
      IMPLICIT NONE ! switch off default typing
*    Import :
      CHARACTER*(*)
     :  STR1, ! first string
     :  STR2  ! second string
*-

      CHR_EQUAL = STR1 .EQ. STR2

      END
