*+  CHR_FILL - Fill a string with a given character.
      SUBROUTINE CHR_FILL( CHAR, STRING )
*    Description :
*     The given string, STRING, is filled with the given 
*     character, CHAR.
*    Invocation :
*     CALL CHR_FILL( CHAR, STRING )
*    Arguments :
*     CHAR = CHARACTER (Given)
*           Fill string with this character.
*     STRING = CHARACTER*(*)(Returned)
*           String to be filled.
*    Method :
*     Get declared size of string.
*     Fill whole of string with the given character.
*    Deficiencies :
*     This routine is implemented using the VAX VMS Run Time
*     Library routine STR$DUPL_CHAR.
*    Authors :
*     Dave Baines. (ROE::ASOC5)
*    History :
*     28-Jun-1984: Original version               (ROE::ASOC5)
*     01-Sep-1988: Use LEN instead of CHR_SIZE
*                  Remove INCLUDE 'SAE_PAR'       (RAL::AJC)
*     22-Jan-1990  Add portable version           (RAL::DLT)
*    Type Definitions :
      IMPLICIT NONE ! switch off default typing
*    Import :
      CHARACTER
     :  CHAR ! fill string with this character
*    Export :
      CHARACTER*(*)
     :  STRING ! string to be filled
*    Local variables :
      INTEGER
     :  SIZE ! declared size of given string
      INTEGER
     :  I    ! loop index
*-

*    get declared size of give string
      SIZE = LEN( STRING )

*    duplicate character into every element in the string
c      CALL STR$DUPL_CHAR( STRING, SIZE, %REF( CHAR ) )

*   portable version
      DO I = 1, SIZE
         STRING(I:I) = CHAR
      END DO
      END
