*+ CHR_RMBLK - Remove all blanks from a string in situ.
      SUBROUTINE CHR_RMBLK (STRING)
*    Description :
*     Remove all of the leading and embedded blanks from a string.
*     The space at the end of the string, created by shunting up the non-blank
*     characters, is filled with blanks.
*    Invocation :
*     CALL CHR_RMBLK (STRING)
*    Arguments :
*     STRING  =  CHARACTER*(*) (Modified)
*           String from which all leading and embedded blanks are
*           to be removed.
*    Method :
*     Work from the front of the string, copying the non-blank
*     characters into the string itself.
*    Authors :
*     Jack Giddings.        (UCL::JRG)
*     A C Davenhall.        (ROE::ACD)
*    History :
*     03-JAN-1983:  Original.                        (UCL::JRG)
*     16-OCT-1984:  Documentation improved.          (ROE::ACD)
*     03-OCT-1988:  Documentation improved.          (RAL::AJC)
*    Type definitions :
      IMPLICIT NONE     ! Force total declarations.
*    Import-Export :
      CHARACTER
     :  STRING*(*)      ! String to have blanks removed.
*    External references :
      INTEGER
     :  CHR_LEN         ! String length excl. trail blanks.
*    Local variables :
      INTEGER
     :  SIZE,           ! Character count.
     :  I,              ! Loop index.
     :  J               ! Loop index.
*-

      SIZE=CHR_LEN (STRING)

      J = 1
      DO I = 1, SIZE
         IF (STRING(I:I) .NE. ' ') THEN
            STRING(J:J) = STRING(I:I)
            J = J + 1
         END IF
      END DO
      CALL CHR_TERM (J-1, STRING)

      END
