*+ CHR_SIZE - Find the declared size of string.
      INTEGER FUNCTION CHR_SIZE (STRING)
*    Description :
*     Give the declared size of a Fortran 77 character string variable
*     (including trailing blanks).
*     This routine exists for historical reasons; its function is 
*     better performed by the Fortran intrinsic function LEN, called
*     directly.
*    Invocation :
*     INTEGER = CHR_SIZE (STRING)
*    Arguments :
*     STRING  =  CHARACTER*(*) (Given)
*           The character string of whose length is to be determined.
*    Result :
*     CHR_SIZE = INTEGER
*           Returns the declared size of the string.
*    Method :
*     Use the Fortran 77 LEN Function.
*    Authors :
*     Jack Giddings.    (UCL::JRG)
*     A C Davenhall.   (ROE::ACD)
*    History :
*     3-JAN-1983:   Original.                             (UCL::JRG)
*     12-OCT-1984:  Improve the documentation.            (ROE::ACD)
*      2-SEP-1988:  Improve documentation                 (RAL::AJC)
*    Type definitions :
      IMPLICIT NONE     ! Force Total Declarations.
*    Import :
      CHARACTER
     :  STRING*(*)      ! String whose length is to be determined.
*    External references :
      INTEGER
     :  LEN             ! Fortran 77 string size.
*-
      
      CHR_SIZE = LEN(STRING)

      END
