*+ CHR_SWAP - Swap two single-character variables.
      SUBROUTINE CHR_SWAP (C1,C2)
*    Description :
*     Exchange the values two single-character variables.
*    Invocation :
*     CALL CHR_SWAP (C1, C2)
*    Arguments :
*     C1  =  CHARACTER*1 (Modified)
*           First character.
*     C2  =  CHARACTER*1 (Modified)
*           Second character.
*    Method :
*     Use a third (temporary) character variable during the swap.
*    Authors :
*     Jack Giddings.        (UCL::JRG)
*     A C Davenhall.        (ROE::ACD)
*    History :
*      3-JAN-1983:   Original.                    (UCL::JRG)
*     16-NOV-1984:   Documentation improved.      (ROE::ACD)
*     03-OCT-1988:   Documentation improved.      (RAL::AJC)
*    Type definitions :
      IMPLICIT NONE         ! Force Total Declarations.
*    Import-Export :
      CHARACTER
     : C1*1,                ! First character.
     : C2*1                 ! Second character.
*    Local variables :
      CHARACTER
     : TEMP*1               ! Temporary copy.
*-

      TEMP = C1
      C1 = C2
      C2 = TEMP

      END
