      SUBROUTINE CPDG (X,Y,NPT, FMIN,FMAX,DF,BELL, FN,FF,WW,NF)

!+
!=    Power spectrum calculation.
!-

      INTEGER    NPT                     ! Number of data in X,Y
      REAL       X(*),Y(*)               ! Data to be analysed
      REAL       W(10000)                ! Work array for 'belled' data

      INTEGER    NFX                     ! maximum no of frequencies
      PARAMETER (NFX=10000)
      REAL       FN(NFX)                 ! Array of frequency points
      REAL       FR(NFX),FI(NFX),FF(NFX) ! Classical power spectrum
      REAL       WR(NFX),WI(NFX),WW(NFX) ! Classical power window
      INTEGER    NF                      ! no of frequencies in spectrum
      REAL       DF                      ! Frequency interval
      REAL       FMIN                    ! Lower frequency limit
      REAL       FMAX                    ! Upper frequency limit
      CHARACTER  CTITLE*79
      INTEGER    KL                      ! FMIN / DF
      INTEGER    KH                      ! FMAX / DF

      REAL       XC,X1,XN,XR,XB          ! Temporary X values
      REAL       XBLO,XBHI               !     "     "   "
      REAL       BELL                    ! Fraction of X-range to be smoothed
      REAL       YS                      ! Accumulator for obtaining the mean
      REAL       YBAR                    ! Mean of Y values
      REAL       PI                      ! PI
      PARAMETER  (PI=3.1415926)
!.

!   Sort out frequency counters
      BELL = MAX ( MIN (0.5,BELL), 0.0)
      KL   = FMIN / DF
      KH   = FMAX / DF
      KL   = MIN ( NFX, MAX (1,KL) )
      KH   = MAX ( 1, MIN (KH,NFX) )

!   Find <Y>
      YS = 0.
      DO I = 1,NPT
         YS = YS + Y(I)
      ENDDO
      YBAR = YS / NPT

!   Subtract <Y>  and mask ends with a cosine bell
      X1 = X(1)
      XN = X(NPT)
      XR = XN - X1
      DO I = 1,NPT
         W(I) = Y(I) - YBAR
         XC   = X(I)
         XBLO = (XC-X1) 
         XBHI = (XN-XC) 
         XB   = MIN (XBLO,XBHI)
         IF (XB.LT.BELL*XR) THEN
            XB   = XB / (BELL*XR)
            W(I) = W(I) * 0.5 * ( SIN ((XB-0.5)*PI) + 1. )
         ENDIF
      ENDDO

!   Calculate power spectrum and window
      PRINT *, 'Calculating classical power spectrum - please wait'
      CALL FTRANK (X,W,NPT, DF,KL,KH, FN,FR,FI,FF,WR,WI,WW)

!   Shift data to bottom end of arrays
      DO I = KL,KH
         J = 1 + I - KL
         FN(J) = FN(I)
         FF(J) = FF(I)
         WW(J) = WW(I)
      ENDDO
      NF = 1 + KH - KL

      END
