        SUBROUTINE GFILTER (SIGMA,X,Y,N, XF,YF,DX,DY)

!+
!=      PASSES A GAUSSIAN FILTER WITH S.D. SIGMA/2 THROUGH A SET OF X,Y PAIRS.
!
!	INPUT:	SIGMA	S.D. OF GAUSSIAN
!		X	ARRAY OF X VALUES
!		Y	ARRAY OF Y VALUES
!		N	NO OF DATA POINTS
!
!	OUTPUT:	XF	ARRAY OF FILTERED X VALUES
!		YF	ARRAY OF FILTERED Y VALUES
!		DX	ARRAY OF ERRORS IN X VALUES (UNUSED)
!		DY	ARRAY OF ERRORS IN Y VALUES
!-
        DIMENSION X(*),Y(*),XF(*),YF(*),DX(*),DY(*)
!.

        IF (ABS(SIGMA).LT.1.E-16) RETURN  
        TWOSIG2 = -2 * SIGMA*SIGMA

          DO I = 1,N
          SW = 0
          SY = 0
          SYY = 0

          DO J = 1,N
            WJLOG = (X(J)-X(I))**2 / TWOSIG2
            IF (WJLOG.GT.-30) THEN
              WJ = EXP (WJLOG)
              SW = SW + WJ
              SY = SY + WJ * Y(J)
              SYY = SYY + WJ * Y(J)*Y(J)
            ENDIF
          ENDDO

          XF(I) = X(I)
          YF(I) = SY / SW
          DY(I) = SQRT ( ABS ( (SYY/SW) - YF(I)*YF(I) ) )
        ENDDO
        END
