      FUNCTION INDEXR (X,A, N1, N2)
!+
!     PROGRAM:      INDEXR
!     PURPOSE:      
!=                  FIND THE INDEX OF THE ARRAY ELEMENT CLOSEST TO A GIVEN VALUE
!                   THE ARRAY ELEMENTS ARE ASSUMED TO BE MONOTONIC (EITHER
!                   INCREASING OR DECREASING)
!     REFERENCES:   NONE
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      05.02.88  C.S.JEFFERY / ST.ANDREWS
!
!     INPUT:        X         REAL VARIABLE
!                   A         REAL ARRAY
!                   N1, N2    INDEXES DELIMITING SEGMENT OF ARRAY TO BE SEARCHED
!
!     OUTPUT:       INDEXR    INTEGER INDEX
!
!-
      REAL          X, A(*)
      INTEGER       N1, N2, INDEXR
      REAL          DX1, DX2
      INTEGER       NLO, NHI, NST, I, IND
!.

!.....FIND UPPER AND LOWER END OF SEARCH RANGE
      IF (A(N1).LT.A(N2)) THEN
         NLO = N1
         NHI = N2
         NST = 1
      ELSE
         NLO = N2
         NHI = N1
         NST = -1
      ENDIF

!.....SEARCH FOR NEAREST ELEMENT IN ARRAY
      IND = NLO
      DO 10 I = NLO+NST,NHI,NST
         IF (X.LT.A(I)) THEN
            DX1 = X-A(I-NST)
            DX2 = A(I)-X
            IF (DX1.LT.DX2) THEN
               IND = I-NST
               GOTO 11
            ELSE
               IND = I
               GOTO 11
            ENDIF
         ENDIF
10       CONTINUE
      IND = NHI

!.....SET OUTPUT VALUE
11    INDEXR = IND

!.....QUIT
      END
