      SUBROUTINE LOCATE(XX,N,X,J)

!+
!  Program:
!     nr_locate
!
!  Purpose:
!=    BINARY SEARCH OF MONOTONIC ARRAY FOR J SUCH THAT XX(J).LT.X.LT.XX(J+1)
!     IF X IS OUTSIDE THE RANGE OX XX(*) EITHER 1 OR N IS RETURNED.
!
!  Language:
!     Fortran 77
! 
!  Authors:
!     C.S.Jeffery (CSJ) (Armagh Observatory)
!
!  History:
!     11-FEB-2000: CSJ
!        current version with unrolled IF block which increases efficiency
!        by 18%
!     ???????????: CSJ
!        copied from Numerical Recipes: Press et al. 1989, p.90
!
!-

      LOGICAL TONIC
      DIMENSION XX(*)

!.

      JL=1
      JU=N+1
      TONIC = XX(N).GT.XX(1)

      IF (TONIC) THEN
  10    IF((JU-JL).GT.1)THEN
           JM=(JU+JL)/2
           IF(X.GT.XX(JM))THEN
                JL=JM
           ELSE
                JU=JM
           ENDIF
           GOTO 10
        ENDIF

      ELSE
 20     IF((JU-JL).GT.1)THEN
           JM=(JU+JL)/2
           IF(X.LT.XX(JM))THEN
                JL=JM
           ELSE
                JU=JM
           ENDIF
           GOTO 20
        ENDIF

      ENDIF

      J=JL

      END

