      subroutine matinverr (a,c,nsol,coef,err)

!+
!=  This routine solves A.B=C for B by inverting A. Errors are computed.
!  NSOL equations are solved even if there are more than NSOL equations.
!-
      implicit real     (a-h,o-z)
      implicit integer  (i-n)

      dimension a(11,11),ai(11,11),aai(11,11),coef(11),err(11),c(11)
!.
      do 1 i = 1,nsol
1       coef(i) = 0.0
      do 2 i = 1,nsol
        do 2 j = 1,nsol
2         ai(i,j) = a(i,j)

!  Invert matrix using MATINV

      call matinv (ai,nsol)

!  Check leading diagonal elements are unity and off diagonal elements are zero.

      errmax = 0.0d0
      do 4 i = 1,nsol
        do 4 j = 1,nsol
          elem = 0.0
          do 3 k = 1,nsol
3           elem = elem + a(i,k) * ai(k,j)
            if (i .ne. j) then
              error = elem
            else
              error = elem - 1.0d0
            endif
            if (abs(error) .gt. errmax) errmax = error
4         aai(i,j) = elem
      if (errmax .gt. 1.0e-10) write (6,600) errmax
600   format
     > (/' ** WARNING ** [Absolute maximum matrix inversion error]'
     >  ,' is ',1pe11.4)

!  Obtain B (COEF) and get error vector ERR.

      do 5 i = 1,nsol
        do 5 j = 1,nsol
5         coef(i) = coef(i) + c(j) * ai(j,i)
      do 6 i = 1,nsol
6       err(i) = sqrt(abs(ai(i,i)))

      return
      end
