      SUBROUTINE PNDIFF (NORDER, PNCOFF, DPNDX)
!+
!     PROGRAM:      PNDIFF
!     PURPOSE:      
!=                  DIFFERENTIATE A SIMPLE POLYNOMIAL
!                   OF THE FORM F(X) = A0 + A1*X + A2*X*X + ... + AN*X**N
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      05.02.88  C.S.JEFFERY / ST.ANDREWS
!
!     INPUT:        NORDER       ORDER OF POLYNOMIAL (EQ QUADRATIC = 2)
!                   PNCOFF       COEFFICIENTS OF POLYNOMIAL
!
!     OUTPUT:       DPNDX        COEFFICIENTS OF 1ST DERIVATIVE OF PNCOFF
!
!     NOTE:         DIMENSION OF PNCOFF AND DPNDX MUST BE .GE. NORDER+1
!-

      INTEGER       NORDER
      REAL          PNCOFF(*), DPNDX(*)
!.

      DPNDX(NORDER+1) = 0.
      DO 1 J = 1,NORDER+1
1        DPNDX(J) = J * PNCOFF(J+1)

      END
