      SUBROUTINE POLEXP (NORDER, AA, X, Y, NIPTS)

!+
!     PROGRAM:      POLEXP
!     PURPOSE:      
!=                  COMPUTE Y-VALUES FOR A POLYNOMIAL
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      03.11.87  C.S.JEFFERY / ST.ANDREWS
!
!     INPUT:        NORDER  ORDER OF POLYNOMIAL
!                   AA      NORDER+1 COEFFICIENTS OF POLYNOMIAL
!                   X       X-VALUES AT WHICH POLY IS TO BE EVALUATED
!                   NIPTS   NUMBER OF X-VALUES IN X
!
!     OUTPUT:       Y       VALUES OF POLYNOMIAL AT GIVEN X-VALUES
!
!-

      REAL     AA(*), X(*), Y(*),     XX, YY, TT
      INTEGER  NORDER, NIPTS,          I,  J, JJ
!.

      DO 400 I = 1,NIPTS
         XX = X(I)
         YY = AA(1)
!        ...THIS IS A DODGE TO STOP XX**N BLOWING UP BEFORE IT SHOULD!
         TT = AA(1)
         DO 200 J = 1,NORDER
            JJ = J + 1
            TT = (TT/AA(J)) * AA(JJ) * XX
            YY = YY + TT
200      CONTINUE
         Y(I) = YY
400   CONTINUE

      END
