MODULE OP_IONS_GLOBAL

    IMPLICIT NONE

 !.
      INTEGER, PARAMETER :: OP_MAXND = 50
      PRIVATE :: OP_MAXND

 ! Z: partition functions by ion and by depth point
 ! F: ion fractions by ion and by depth point

      REAL :: ZHJ (3), ZH (3,OP_MAXND), FHJ (3), FH (3, OP_MAXND)
      REAL :: ZHEJ(4), ZHE(4,OP_MAXND), FHEJ(4), FHE(4, OP_MAXND)
      REAL :: ZLIJ(4), ZLI(4,OP_MAXND), FLIJ(4), FLI(4, OP_MAXND)
      REAL :: ZBEJ(4), ZBE(4,OP_MAXND), FBEJ(4), FBE(4, OP_MAXND)
      REAL :: ZBJ (4), ZB (4,OP_MAXND), FBJ (4), FB (4, OP_MAXND)
      REAL :: ZCJ (6), ZC (6,OP_MAXND), FCJ (6), FC (6, OP_MAXND)
      REAL :: ZNJ (6), ZN (6,OP_MAXND), FNJ (6), FN (6, OP_MAXND)
      REAL :: ZOJ (6), ZO (6,OP_MAXND), FOJ (6), FO (6, OP_MAXND)
      REAL :: ZFJ (6), ZF (6,OP_MAXND), FFJ (6), FF (6, OP_MAXND)
      REAL :: ZNEJ(6), ZNE(6,OP_MAXND), FNEJ(6), FNE(6, OP_MAXND) 
      REAL :: ZNAJ(6), ZNA(6,OP_MAXND), FNAJ(6), FNA(6, OP_MAXND) 
      REAL :: ZMGJ(6), ZMG(6,OP_MAXND), FMGJ(6), FMG(6, OP_MAXND) 
      REAL :: ZALJ(6), ZAL(6,OP_MAXND), FALJ(6), FAL(6, OP_MAXND)
      REAL :: ZSIJ(6), ZSI(6,OP_MAXND), FSIJ(6), FSI(6, OP_MAXND) 
      REAL :: ZPJ (6), ZP (6,OP_MAXND), FPJ (6), FP (6, OP_MAXND)
      REAL :: ZSJ (6), ZS (6,OP_MAXND), FSJ (6), FS (6, OP_MAXND)
      REAL :: ZCLJ(6), ZCL(6,OP_MAXND), FCLJ(6), FCL(6, OP_MAXND) 
      REAL :: ZARJ(6), ZAR(6,OP_MAXND), FARJ(6), FAR(6, OP_MAXND)
      REAL :: ZKJ (6), ZK (6,OP_MAXND), FKJ (6), FK (6, OP_MAXND) 
      REAL :: ZCAJ(6), ZCA(6,OP_MAXND), FCAJ(6), FCA(6, OP_MAXND)
      REAL :: ZSCJ(6), ZSC(6,OP_MAXND), FSCJ(6), FSC(6, OP_MAXND) 
      REAL :: ZTIJ(6), ZTI(6,OP_MAXND), FTIJ(6), FTI(6, OP_MAXND) 
      REAL :: ZVJ (6), ZV (6,OP_MAXND), FVJ (6), FV (6, OP_MAXND) 
      REAL :: ZCRJ(6), ZCR(6,OP_MAXND), FCRJ(6), FCR(6, OP_MAXND) 
      REAL :: ZMNJ(6), ZMN(6,OP_MAXND), FMNJ(6), FMN(6, OP_MAXND) 
      REAL :: ZFEJ(6), ZFE(6,OP_MAXND), FFEJ(6), FFE(6, OP_MAXND)
      REAL :: ZCOJ(6), ZCO(6,OP_MAXND), FCOJ(6), FCO(6, OP_MAXND)
      REAL :: ZNIJ(6), ZNI(6,OP_MAXND), FNIJ(6), FNI(6, OP_MAXND)
      REAL :: ZCUJ(6), ZCU(6,OP_MAXND), FCUJ(6), FCU(6, OP_MAXND)
      REAL :: ZZNJ(6), ZZN(6,OP_MAXND), FZNJ(6), FZN(6, OP_MAXND)
      REAL :: ZGAJ(6), ZGA(6,OP_MAXND), FGAJ(6), FGA(6, OP_MAXND)
      REAL :: ZGEJ(6), ZGE(6,OP_MAXND), FGEJ(6), FGE(6, OP_MAXND)
      REAL :: ZASJ(6), ZAS(6,OP_MAXND), FASJ(6), FAS(6, OP_MAXND)
      REAL :: ZSEJ(6), ZSE(6,OP_MAXND), FSEJ(6), FSE(6, OP_MAXND)
      REAL :: ZBRJ(6), ZBR(6,OP_MAXND), FBRJ(6), FBR(6, OP_MAXND)
      REAL :: ZKRJ(6), ZKR(6,OP_MAXND), FKRJ(6), FKR(6, OP_MAXND)
      REAL :: ZRBJ(6), ZRB(6,OP_MAXND), FRBJ(6), FRB(6, OP_MAXND)
      REAL :: ZSRJ(6), ZSR(6,OP_MAXND), FSRJ(6), FSR(6, OP_MAXND)
      REAL :: ZYJ (6), ZY (6,OP_MAXND), FYJ (6), FY (6, OP_MAXND)
      REAL :: ZZRJ(6), ZZR(6,OP_MAXND), FZRJ(6), FZR(6, OP_MAXND)
      REAL :: ZNBJ(6), ZNB(6,OP_MAXND), FNBJ(6), FNB(6, OP_MAXND)
      REAL :: ZMOJ(6), ZMO(6,OP_MAXND), FMOJ(6), FMO(6, OP_MAXND)
      REAL :: ZTCJ(6), ZTC(6,OP_MAXND), FTCJ(6), FTC(6, OP_MAXND)
      REAL :: ZRUJ(6), ZRU(6,OP_MAXND), FRUJ(6), FRU(6, OP_MAXND)
      REAL :: ZRHJ(6), ZRH(6,OP_MAXND), FRHJ(6), FRH(6, OP_MAXND)
      REAL :: ZPDJ(6), ZPD(6,OP_MAXND), FPDJ(6), FPD(6, OP_MAXND)
      REAL :: ZAGJ(6), ZAG(6,OP_MAXND), FAGJ(6), FAG(6, OP_MAXND)
      REAL :: ZCDJ(6), ZCD(6,OP_MAXND), FCDJ(6), FCD(6, OP_MAXND)
      REAL :: ZINJ(6), ZIN(6,OP_MAXND), FINJ(6), FIN(6, OP_MAXND)
      REAL :: ZSNJ(6), ZSN(6,OP_MAXND), FSNJ(6), FSN(6, OP_MAXND)
      REAL :: ZSBJ(6), ZSB(6,OP_MAXND), FSBJ(6), FSB(6, OP_MAXND)
      REAL :: ZTEJ(6), ZTE(6,OP_MAXND), FTEJ(6), FTE(6, OP_MAXND)
      REAL :: ZIJ (6), ZI (6,OP_MAXND), FIJ (6), FI (6, OP_MAXND)
      REAL :: ZXEJ(6), ZXE(6,OP_MAXND), FXEJ(6), FXE(6, OP_MAXND)
      REAL :: ZCSJ(6), ZCS(6,OP_MAXND), FCSJ(6), FCS(6, OP_MAXND)
      REAL :: ZBAJ(6), ZBA(6,OP_MAXND), FBAJ(6), FBA(6, OP_MAXND)
!!$      REAL :: ZLAJ(6), ZLA(6,OP_MAXND), FLAJ(6), FLA(6, OP_MAXND)
!!$      REAL :: ZCEJ(6), ZCE(6,OP_MAXND), FCEJ(6), FCE(6, OP_MAXND)
!!$      REAL :: ZPRJ(6), ZPR(6,OP_MAXND), FPRJ(6), FPR(6, OP_MAXND)
!!$      REAL :: ZNDJ(6), ZND(6,OP_MAXND), FNDJ(6), FND(6, OP_MAXND)
!!$      REAL :: ZPMJ(6), ZPM(6,OP_MAXND), FPMJ(6), FPM(6, OP_MAXND)
!!$      REAL :: ZSMJ(6), ZSM(6,OP_MAXND), FSMJ(6), FSM(6, OP_MAXND)
!!$      REAL :: ZEUJ(6), ZEU(6,OP_MAXND), FEUJ(6), FEU(6, OP_MAXND)
!!$      REAL :: ZGDJ(6), ZGD(6,OP_MAXND), FGDJ(6), FGD(6, OP_MAXND)
!!$      REAL :: ZTBJ(6), ZTB(6,OP_MAXND), FTBJ(6), FTB(6, OP_MAXND)
!!$      REAL :: ZDYJ(6), ZDY(6,OP_MAXND), FDYJ(6), FDY(6, OP_MAXND)
!!$      REAL :: ZHOJ(6), ZHO(6,OP_MAXND), FHOJ(6), FHO(6, OP_MAXND)
!!$      REAL :: ZERJ(6), ZER(6,OP_MAXND), FERJ(6), FER(6, OP_MAXND)
!!$      REAL :: ZTMJ(6), ZTM(6,OP_MAXND), FTMJ(6), FTM(6, OP_MAXND)
!!$      REAL :: ZYBJ(6), ZYB(6,OP_MAXND), FYBJ(6), FYB(6, OP_MAXND)
!!$      REAL :: ZLUJ(6), ZLU(6,OP_MAXND), FLUJ(6), FLU(6, OP_MAXND)
!!$      REAL :: ZHFJ(6), ZHF(6,OP_MAXND), FHFJ(6), FHF(6, OP_MAXND)
!!$      REAL :: ZTAJ(6), ZTA(6,OP_MAXND), FTAJ(6), FTA(6, OP_MAXND)
!!$      REAL :: ZWJ (6), ZW (6,OP_MAXND), FWJ (6), FW (6, OP_MAXND)
!!$      REAL :: ZREJ(6), ZRE(6,OP_MAXND), FREJ(6), FRE(6, OP_MAXND)
!!$      REAL :: ZOSJ(6), ZOS(6,OP_MAXND), FOSJ(6), FOS(6, OP_MAXND)
!!$      REAL :: ZIRJ(6), ZIR(6,OP_MAXND), FIRJ(6), FIR(6, OP_MAXND)
!!$      REAL :: ZPTJ(6), ZPT(6,OP_MAXND), FPTJ(6), FPT(6, OP_MAXND)
!!$      REAL :: ZAUJ(6), ZAU(6,OP_MAXND), FAUJ(6), FAU(6, OP_MAXND)
!!$      REAL :: ZHGJ(6), ZHG(6,OP_MAXND), FHGJ(6), FHG(6, OP_MAXND)
!!$      REAL :: ZTLJ(6), ZTL(6,OP_MAXND), FTLJ(6), FTL(6, OP_MAXND)
!!$      REAL :: ZPBJ(6), ZPB(6,OP_MAXND), FPBJ(6), FPB(6, OP_MAXND)

END MODULE OP_IONS_GLOBAL
