      SUBROUTINE BLAZED

!+
!     PROGRAM:      BLAZED
!     PURPOSE:      
!=                  SUPERVISE DEFINITION OF BLAZE FUNCTION DEFINITION
!     REFERENCES:   
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      19.02.88  C.S.JEFFERY / ST.ANDREWS
!-

      INCLUDE 'implct.f'
      INCLUDE 'ecdeck.f'
      INCLUDE 'ctdeck.f'

      CHARACTER*10  MODE
!.

!     DETERMINE THE METHOD FOR FITTING THE BLAZE FUNCTION

1     IF (NARG.GT.0) THEN
         MODE = ARG(1)
      ELSE
         CALL GETSTR ('BLAZED: select option for blaze definition',MODE)
      ENDIF

!     GET SOME HELP ON THIS
      IF (MODE(1:1).EQ.'H') THEN
         CALL MESSGE ('SINC    Define default sinc**2 function')
         CALL MESSGE ('ALPHA   As SINC with alpha <> 1.0')
         CALL MESSGE ('BARKER  Modify sinc**2 using Barkers method')
         CALL MESSGE ('POLY    Define a series of O(9) polynomials')
         NARG = 0
         GO TO 1

!     USE A DEFAULT SINC**2 FUNCTION
      ELSEIF (MODE(1:4).EQ.'SINC') THEN
         ALPHA = 1.0
         CALL BLSDEF (ALPHA)
         IBLTYP = 1

!     REDEFINE ALPHA FOR THE SINC**2 FUNCTION
      ELSEIF (MODE(1:5).EQ.'ALPHA') THEN
         IF (NARG.GT.1) THEN
            ALPHA = RFRMCH (ARG(2))
         ELSE
            CALL GETFPV ('ALPHA: Enter sinc**2 parameter alpha',ALPHA)
         ENDIF
         CALL BLSDEF (ALPHA)
         IBLTYP = 1

!     MODIFY SINC**2 FUNCTION BY BARKER'S METHOD
      ELSEIF (MODE(1:6).EQ.'BARKER') THEN
         CALL BARKER

!     USE A 9TH ORDER POLYNOMIAL DEFINED INTERACTIVELY
      ELSEIF (MODE(1:4).EQ.'POLY') THEN
         CALL BLPDEF
         IBLTYP = 2

!     NO MORE MODES
      ELSE
         CALL MESSGE ('BLAZED: Illegal mode')
      ENDIF


!     QUIT

 99   END
