      SUBROUTINE BLDISP

!+
!     PROGRAM:      BLDISP
!     PURPOSE:
!=                  DISPLAY CURRENT BLAZE FUNCTION PARAMETERS
!     REFERENCES:   
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      12.01.88  C.S.JEFFERY / ST.ANDREWS
!-

      INCLUDE 'implct.f'
      INCLUDE 'ecdeck.f'

      INTEGER LUCR, LULP
      REAL    CBCOFF (10), PNCOFF (10)

9999  FORMAT (1X, I5, I10, F10.2, F15.1, F10.2)
9998  FORMAT (1X, '    Wcen      Fmax       Xmin    Xmax ')
9997  FORMAT (1X, F10.3, 1P,E12.2, 0P,2F8.2)
9996  FORMAT (1X, 1P,5E12.2)

!.

!     GET THE OUTPUT DEVICE NUMBER
      LUCR = 0
      LULP = 0
      CALL LUDEF (LUCR, LULP)
      CALL IOFOOT

!     DISPLAY A SINC**2 TYPE BLAZE FUNCTION

      IF (IBLTYP.EQ.1) THEN
         CALL MESSGE ('Echelle blaze function sinc**2 fit')
         CALL LINEFD (1)
         CALL MESSGE 
     1        ('  Index     Order   Alpha         k        lamda/c')
         CALL MESSGE 
     1        ('--------------------------------------------------')
!               12345678901234567890123456789012345678901234567890
         DO 20 I = 1,NECORD
20          WRITE (LULP,9999) I, MECORD(I), BLA(I), BLK(I), BLWCEN(I)

!     DISPLAY A CHEBYSHEV POLYNOMIAL TYPE BLAZE FUNCTION

      ELSEIF (IBLTYP.EQ.2) THEN
         CALL MESSGE ('Echelle Blaze function Chebyshev polynomials')
         DO 40 I = 1,NECORD
            CALL LINEFD(1)
            CALL OUTINT ('Order', MECORD(I))
            IF (LBLF(I)) THEN
               WRITE (LULP,9998)
               WRITE (LULP,9997) BLWCEN(I), BLFMAX(I), 
     1                           BLXMIN(I), BLXMAX(I)
               CALL MESSGE ('Chebyshev coefficients')
               WRITE (LULP,9996) (BLCHEB(J,I),J=1,10)
            ELSE
               CALL MESSGE (' - No fit for this order - ')
            ENDIF
40          CONTINUE

!     DISPLAY A SIMPLE POLYNOMIAL BLAZE FUNCTION

      ELSEIF (IBLTYP.EQ.3) THEN
         CALL MESSGE ('Echelle Blaze function simple polynomials')
         DO 50 I = 1,NECORD
            CALL LINEFD(1)
            CALL OUTINT ('Order', MECORD(I))
            IF (LBLF(I)) THEN
               WRITE (LULP,9998)
               WRITE (LULP,9997) BLWCEN(I), BLFMAX(I), 
     1                           BLXMIN(I), BLXMAX(I)
               CALL MESSGE ('Polynomial coefficients')
               WRITE (LULP,9996) (BLPOLY(J,I),J=1,10)
            ELSE
               CALL MESSGE (' - No fit for this order - ')
            ENDIF
50          CONTINUE

!     NO MORE TYPES

      ENDIF
      CALL IOFOOT
      END
