      SUBROUTINE CAPOP (CSORCE)

!+
!     PROGRAM:    CAPOP
!     PURPOSE:    
!=                BRING DATA FROM TARGET INTO CURRENT ARRAYS
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'cadeck.f'
      INCLUDE 'spdeck.f'
      INCLUDE 'lpdeck.f'
      INCLUDE 'gddeck.f'


      CHARACTER*(*)  CSORCE
      CHARACTER*10   SOURCE
!.


!     IDENTIFY THE SOURCE

!     AS SUBROUTINE ARGUMENT
      IF (CSORCE.NE.'USER') THEN
         SOURCE = CSORCE
!     AS COMMAND ARGUMENT
      ELSEIF (NARG.GE.1) THEN
         SOURCE = ARG(1)
!     REQUEST FROM USER
      ELSE
         CALL GETCHV ('CAPOP: Source of data',SOURCE)
      ENDIF
!     CONVERT TO UPPERCASE
      CALL UPCASE (SOURCE)

!     NOW GET IT FROM THE APPOINTED PLACE

!     FROM THE SPECTRUM
      IF (SOURCE(1:2).EQ.'SP') THEN
         CHEAD = SPHEAD(1)
         NCX = NSPW
         DO 101 I = 1,NCX
            CX(I) = SPW(I)
            CY(I) = SPF(I)
101         CONTINUE

!     FROM THE LINE PROFILE
      ELSEIF (SOURCE(1:2).EQ.'LP') THEN
         CHEAD = LPHEAD(1)
         NCX = NLPW
         DO 201 I = 1,NCX
            CX(I) = LPW(I)
            CY(I) = LPF(I)
201         CONTINUE

!     FROM THE NEW GRID
      ELSEIF (SOURCE(1:4).EQ.'GRID') THEN
         NCX = NGX
         DO 301 I = 1,NCX
            CX(I) = GX(I)
            CY(I) = GY(I)
301         CONTINUE

!     FROM THE ECHELLE / DATA STACKS ?

!     NO MORE SOURCES
      ELSE
         CALL MESSGE ('CAPOP: Source not identified')
      ENDIF

!     DEFINE LIMITS, ETC.

      CALL MINMAX (CX,1,NCX,CXMIN,CXMAX)
      CALL MINMAX (CY,1,NCX,CYMIN,CYMAX)
      CXD = (CXMAX-CXMIN) / FLOAT(NCX)
      CX0 = CXMIN - CXD

!     QUIT
      END
