      SUBROUTINE ECREAD (CARG)

!+
!     PROGRAM:      ECREAD
!     PURPOSE:      
!=                  READ ECHELLE SPECTRUM STACK AS A BINARY FILE
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      12.01.88  C.S.JEFFERY / ST.ANDREWS
!-

      INCLUDE 'implct.f'
      INCLUDE 'ecdeck.f'
      INCLUDE 'ctdeck.f'

      INTEGER       LU, IX, IERR
      CHARACTER     ECFILE*40, CARG*(*)
!.

!     NAME THE FILE

!     FROM THE SUBROUTINE ARGUMENT
      IF (CARG.NE.'USER') THEN
         ECFILE = CARG
!     FROM THE COMMAND ARGUMENT
      ELSEIF (NARG.GE.1) THEN
         ECFILE = ARG(1)
!     REQUEST FROM USER
      ELSE
         CALL GETCHV ('ECREAD: Enter the echelle filename', ECFILE)
      ENDIF

!     OPEN THE FILE
      CALL LUOPEN (ECFILE, 'OLD', 'READONLY', 'UNFORMATTED', 
     1                                       LU, IX, IERR)
      IF (IERR.GT.0) THEN
         CALL OUTCHV ('ECREAD: * Error * File not found ',ECFILE)
         RETURN
      ENDIF

!     READ THE ECHELLE SPECTRUM
      READ (LU,ERR=999) ECHEAD
      READ (LU,ERR=999) NECORD
      READ (LU,ERR=999)  (MECORD(I),                 I=1,NECORD)
      READ (LU,ERR=999)  (ECSLAM(I),                 I=1,NECORD)
      READ (LU,ERR=999)  (ECDLAM(I),                 I=1,NECORD)
      READ (LU,ERR=999)  (NECWAV(I),                 I=1,NECORD)
      READ (LU,ERR=999) ((ECSTAK(J,I),J=1,NECWAV(I)),I=1,NECORD)

!     CLOSE THE FILE
      CALL LUSHUT (LU, IERR)

!     REPORT THE SPECTRUM
      CALL OUTCHV ('ECREAD: Echelle file',     ECFILE)
      CALL OUTCHV ('        Echelle spectrum', ECHEAD)
      CALL OUTINT ('                orders',   MECORD(1))
      CALL OUTINT ('                to',       MECORD(NECORD))

!     NORMAL EXIT
      RETURN

!     ERROR READING FILE
999   CALL OUTCHV ('ECREAD: * Error * reading file ',ECFILE)
      CALL LUSHUT (LU, IERR)
      END
