      SUBROUTINE ECTRIM

!+
!     PROGRAM:      ECTRIM
!     PURPOSE:      
!=                  TRIM START AND END ORDERS
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      29.03.88  C.S.JEFFERY / ST.ANDREWS
!-

      INCLUDE 'implct.f'
      INCLUDE 'ecdeck.f'
      INCLUDE 'ctdeck.f'
!.

!     REPORT THE SPECTRUM
      CALL OUTCHV ('ECTRIM: Echelle spectrum', ECHEAD)
      CALL OUTINT ('                orders',   MECORD(1))
      CALL OUTINT ('                to',       MECORD(NECORD))

!     SPECIFY ORDERS FOR TRIMMING
      IF (NARG.GE.1) THEN
         IORDS = IFRMCH (ARG(1))
      ELSE
         CALL GETINT (' Specify required first order ', IORDS)
      ENDIF
      IF (NARG.GE.2) THEN
         IORDE = IFRMCH (ARG(2))
      ELSE
         CALL GETINT (' Specify required  last order ', IORDE)
      ENDIF

!     VERIFY FOR ERRORS
      IF (IORDS.LT.IORDE) THEN
         ITEMP = IORDS
         IORDS = IORDE
         IORDE = ITEMP
      ENDIF
      IORDS = MIN (IORDS, MECORD(1))
      IORDE = MAX (IORDE, MECORD(NECORD))

!     REMOVE STARTING ORDERS
      IF (IORDS.LT.MECORD(1)) THEN
         ISTEP = MECORD(1) - IORDS
         DO 120 II = 1+ISTEP,NECORD
            IJ = II - ISTEP
            MECORD(IJ) = MECORD(II)
            ECSLAM(IJ) = ECSLAM(II)
            ECDLAM(IJ) = ECDLAM(II)
            NECWAV(IJ) = NECWAV(II)
            DO 110 JJ = 1,NECWAV(II)
110            ECSTAK(JJ,IJ) = ECSTAK(JJ,II)
120         CONTINUE
         NECORD = NECORD - ISTEP
      ENDIF

!     REMOVE END ORDERS
      IF (IORDE.GT.MECORD(NECORD)) THEN
         ISTEP = IORDE - MECORD(NECORD)
         NECORD = NECORD - ISTEP
      ENDIF

!     NOW REPORT WHAT HAPPENED
      CALL OUTINT ('ECTRIM: New range - orders',   MECORD(1))
      CALL OUTINT ('                        to',   MECORD(NECORD))

!     NORMAL EXIT
      END
