      SUBROUTINE GETCOM

!+
!     PROGRAM:       GETCOM
!     PURPOSE:       
!=                   TO DECODE THE NEXT COMMAND TO BE EXECUTED
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          26 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM / UNIVERSITAET KIEL)
!-

      INCLUDE 'ctdeck.f'
      CHARACTER*79  BLANK
      INTEGER I, INLEN, LST, LEND, J
      DATA  BLANK/' '/

!.

!     GET CURRENT LENGTH OF INPUT BUFFER
10    INLEN = LENSTR (INPUT)
 
!     CURRENT 'INPUT' HAS NO UNPROCESSED COMMANDS, SO READ NEW INPUT BUFFER
      IF (INLEN.EQ.0) THEN
         CALL PROMTS (PROMPT,INPUT)
         GO TO 10
      ENDIF
 
!     STRIP INITIAL BLANKS
      DO 110 I = 1,80
         IF (INPUT(I:I).NE.' ') THEN
            INPUT  = INPUT(I:INLEN)//BLANK
            INLEN  = INLEN + 1 - I
            GO TO 111
         ENDIF
110   CONTINUE
111   CONTINUE

!     SEARCH FOR COMMAND SEPARATORS [,] IN INPUT BUFFER. EXTRACT FIRST
!     COMMAND AND UPDATE INPUT BUFFER
      DO 120 I = 1,80
         IF (INPUT(I:I).EQ.',') THEN
            COMAND = INPUT(1:I-1)
            INPUT  = INPUT(I+1:INLEN)//BLANK
            INLEN  = INLEN - I
            GO TO 121
         ENDIF
120   CONTINUE

!     ONLY ONE COMAND IN BUFFER. INPUT BUFFER IS LEFT EMPTY
      COMAND = INPUT
      INPUT  = BLANK
121   CONTINUE

!     CHECK COMMAND EXISTS
      LCOMD = LENSTR (COMAND)
      IF (LCOMD.EQ.0) GO TO 10

!     IDENTIFY PRESENCE OF ARGUMENTS (SEARCH FOR EMBEDDED BLANKS)
      NARG = 0
      LKEY  = LOCSTR (COMAND,' ') - 1
      IF (LKEY.EQ.-1) GO TO 200
      LST = LKEY + 1

!     LOOP THROUGH THE ARGUMENTS
      DO 140 J = 1,50

!        FIND START OF EACH ARGUMENT
         DO 132 I = LST,LCOMD
            IF (COMAND(I:I).NE.' ') GO TO 134
132      CONTINUE
        
!           SO WHERE WAS IT ?
            CALL MESSGE ('GETCMD: Error decoding arguments')
            GO TO 200

!        STORE START POSITION
134      LST = I

!        LOCATE END OF ARGUMENT
         DO 136 I = LST,LCOMD
           IF (COMAND(I:I).EQ.' ') GO TO 138
136      CONTINUE
         I = LCOMD + 1

!        STORE END POSITION
138      LEND = I - 1

!        EXTRACT THE ARGUMENT
         ARG(J) = COMAND(LST:LEND)
         LARG(J) = LEND - LST
         NARG = NARG + 1

!        WAS THAT THE FINAL ARGUMENT
         IF (LEND.EQ.LCOMD) GO TO 200

!        RESET SEARCH START POSITION
         LST = LEND + 1

140   CONTINUE

!     HOW DID WE GET HERE ?
      CALL MESSGE ('GETCMD: Error parsing arguments - too many')

200   CONTINUE

!     CONVERT KEYWORD PART OF COMMAND TO UPPERCASE
      IF (LKEY.EQ.-1) LKEY = LENSTR (COMAND)
      DO 210 I = 1,LKEY
         J = ICHAR (COMAND(I:I))
         IF (96.LT.J .AND. J.LT.123) J = J - 32
         COMAND(I:I) = CHAR (J)
210   CONTINUE

!     [FUTURE DEVELOPMENTS..]
!     [PROCEDURE DEFINITIONS]

!     QUIT
      END
