      SUBROUTINE IMRD (IMFILE, IERR)

!+
!     PROGRAM:      IMRD
!     PURPOSE:      
!=                  READ A 2D IMAGE WRITTEN IN 'IMAGE' FORMAT
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      09.08.87  C.S.JEFFERY / ST.ANDREWS
!-

      INCLUDE 'implct.f'
      INCLUDE 'imdeck.f'

      CHARACTER*(*) IMFILE
      INTEGER       LUI, IERR, INDEX
!.

!     OPEN THE IMAGE FILE

      CALL LUOPEN (IMFILE, 'OLD', 'READONLY', 'UNFORMATTED',
     1                      LUI,   INDEX,      IERR)
      IF (IERR.NE.0) GOTO 998

!     READ THE IMAGE

      NXPTS = 0
      NYPTS = 0
      READ (LUI,ERR=999) XTITLE
      READ (LUI,ERR=999) XUNITS
      READ (LUI,ERR=999) NXPTS
      READ (LUI,ERR=999)  (XDATA(I),   I=1,NXPTS)
      READ (LUI,ERR=999) YTITLE
      READ (LUI,ERR=999) YUNITS
      READ (LUI,ERR=999) NYPTS
      READ (LUI,ERR=999)  (YDATA(J),               J=1,NYPTS)
      READ (LUI,ERR=999) ZTITLE
      READ (LUI,ERR=999) ZUNITS
      READ (LUI,ERR=999) ((ZDATA(I,J), I=1,NXPTS), J=1,NYPTS)

!     TIDY UP

      CALL LUSHUT (LUI,IERR)
      GOTO 888

!     ERROR HANDLERS

999   CALL OUTSTR ('IMRD ** Error ** reading image file ')
      IERR  = 2
      NXPTS = 0
      NYPTS = 0
      GOTO 888

998   CALL OUTSTR ('IMRD ** Error ** opening image file ')
      IERR  = 1
      GOTO 888

!     EXIT

888   END
