      FUNCTION IWAV (WAV)

!+
!     PROGRAM:       IWAV
!     PURPOSE:       
!=                   TO POINT AT THE SPECTRUM ARRAY GIVEN A WAVELENGTH
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          15 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!     HISTORY:       VERSION  DATE      MACHINE  AUTHOR     
!                    1.0      15.01.87  PDP-10   C.S.JEFFERY  
!                    >>ORIGINAL
!                    1.1      12.06.87  mu-VAX   C.S.JEFFERY
!                    >>ASSUMES INCREASING WAVELENGTH IN ARRAY SPW  
!-

      INCLUDE 'spdeck.f'
      REAL     WAV
      INTEGER  IWAV
!.

!     GET APPROXIMATE INDEX
      IWAV = NINT ((WAV - SPW0) / SPWD) + 1

!     CHECK THAT GIVEN WAV IS WITHIN SPECTRUM
      IF (WAV.LT.SPWMIN) THEN
         IWAV = 1
         GO TO 200
      ELSEIF (WAV.GT.SPWMAX) THEN
         IWAV = NSPW
         GO TO 200
      ENDIF

!     REFINE SO THAT IWAV IS ALWAYS CLOSEST TO REQUIRED WAV
!       USING BRUTE FORCE TO LOCATE IWAV..
      IWMIN = 1
      IWMAX = NSPW
      DO IW = IWMIN+10,IWMAX,10
         IWL = IWMIN - 10
         IF (WAV.GE.SPW(IWL) .AND. WAV.LT.SPW(IW)) THEN
            IWMIN = IWL
            IWMAX = IW
            GO TO 150
         ENDIF
      ENDDO
      CALL MESSGE ('IWAV  : Error locating wavelength in spectrum')
      IWAV = 1
      GO TO 300

150   CONTINUE
      DO IW = IWMIN+1,IWMAX,1
         IWL = IW - 1
         IF (WAV.GE.SPW(IWL) .AND. WAV.LT.SPW(IW)) THEN
            IWAV = IWL
            IF ( ABS(SPW(IWL)-WAV) .GT. ABS(SPW(IW)-WAV) ) IWAV = IW
            GOTO 300
         ENDIF
      ENDDO
200   CONTINUE
      CALL MESSGE ('IWAV  : Error locating wavelength in spectrum')
      IWAV = 1
      GO TO 300

300   CONTINUE
      END
