      SUBROUTINE LINVEL (IOUT)

!+
!=    ORGANISE DEFINITION OF 'REFERENCE' WAVELENGTH, SPECTRUM DISPLAY
!     PROFILE DEFINITION, DISPLAY AND VELOCITY CALCULATION
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'lpdeck.f'
      INCLUDE 'dispgx.f'
      INTEGER IOUT
!.

!     GET THE LINE WAVELENGTH
      IF (NARG.GT.0) THEN
         LPLABW = RFRMCH (ARG(1))
      ELSE
         CALL GETFPV ('LPRADV: Enter lab-wavelength: ',LPLABW)
      ENDIF

!     SELECT THE DISPLAY LIMITS
      IF (.NOT.DXAUTO) THEN
         DXWND = DWMAX - DWMIN
         DXMIN = LPLABW - DXWND / 2.
         DXMAX = LPLABW + DXWND / 2.
      ENDIF

!     DISPLAY THE LOCAL SPECTRUM AND DEFINE THE LINE PROFILE
      CALL PLOTEM (' ')
!     CALL PNZOOM ! NOT IMPLEMENTED
      CALL LPLIFT ('CUR')

!     DETERMINE ITS VELOCITY
      CALL LPRADV (0)

!     PRINT OUT THE RESULTS
      IF (IOUT.GT.0) THEN
         CALL OUTFPV ('LPRADV: Laboratory wavelength          ',LPLABW)
         CALL OUTFPV ('LPRADV: Observed wavelength            ',LPOBSW)
         CALL OUTFPV ('LPRADV: Radial velocity of line (km/s) ',LPRV  )
         CALL OUTFPV ('LPRADV: Formal error in fit         +/-',LPRVER)
      ENDIF

!     QUIT
      END
