      SUBROUTINE LPLIFT (MODE)

!+
!     PROGRAM:       LPLIFT
!     PURPOSE:       
!=                   TO LIFT A LINE PROFILE FROM THE SPECTRUM
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          15 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'lpdeck.f'
      INCLUDE 'spdeck.f'
      INCLUDE 'dispgx.f'

!     LOCAL VARIABLES
      CHARACTER*(*) MODE
      CHARACTER*1   CC
      INTEGER       I1, I2
      REAL          X,  Y
!.

!     GET THE LIMITS OF THE LINE PROFILE (IN WAVELENGTH)

!     MANUALLY
      IF (MODE(1:3).EQ.'TTY') THEN
         IF (NARG.EQ.2) THEN
            LPWL = RFRMCH (ARG(1))
            LPWR = RFRMCH (ARG(2))
         ELSE
            CALL MESSGE ('LPDEF: Read line profile from spectrum ')
            CALL GETFPV ('       Lower wavelength     : ',LPWL)
            CALL GETFPV ('       Upper wavelength     : ',LPWR)
         ENDIF
         LPWC = (LPWR + LPWL) / 2.

!     WITH THE CURSOR
      ELSEIF (MODE(1:3).EQ.'CUR' .AND. DPLTOK) THEN
         CALL GX_QCUR (LPWL,Y)
         CALL GX_QCUR (LPWR,Y)
         LPWC = (LPWR + LPWL) / 2.

      ELSE
         CALL MESSGE ('LPDEF: No display available')
         RETURN
      ENDIF

!     IDENTIFY POSITION OF LINE IN SPECTRUM (ASSUMES LINEAR DISPERSION)
      X  = MIN (LPWL, LPWR)
      Y  = MAX (LPWL, LPWR)
      LPWL = X
      LPWR = Y
      IL = IWAV (LPWL)
      IR = IWAV (LPWR)

!     COPY NORMALISED PROFILE FROM SPECTRUM
      DO 10 IW = IL,IR
         X = SPW(IW)
         Y = SPF(IW)
         I = IW - IL + 1
         LPW(I) = X - LPWC
         LPF(I) = Y / (CFL + CCA * (X - CWL))
10    CONTINUE
      NLPW = IR - IL + 1
!
      END
