      SUBROUTINE SP2RD (W,F,NW,HEADER,IUNIT,CFILE)

!+
!  sp2rd
!
!  Purpose:
!=    Read a spectrum in the format (wavelength,flambda) in ascii 
!
!  Usage:
!     CALL SP2RD (W,F,NW,HEADER,IUNIT,CFILE)
!
!  Description of parameters:
!R    W(NW)       -  Array of wavelength points
!R    F(NW)       -  Array of flux points
!I    NW          -  No. of points 
!C    HEADER      -  Two records of header information
!I    IUNIT       -  Logical unit to which data points are to be written
!C    CFILE       -  Name of file to which data is to be written
!
!-

      DIMENSION W(*),F(*)

      CHARACTER*(*) HEADER(2)
      CHARACTER*(*) CFILE

!.

!   Open disk file
      OPEN (IUNIT,FILE=CFILE,STATUS='OLD')

!   Read header records and number of data points
      READ (IUNIT, '(A)') HEADER
      READ (IUNIT, *) NW

!   Read wavelengths and fluxes
      READ (IUNIT, *) (W(LW),F(LW),LW = 1,NW)

!   Close disk file
      CLOSE (IUNIT)

      END
