      SUBROUTINE SPWR (ISP,SPFILE,SPHEAD,NSPW,SPW,SPF)

!+
!     PROGRAM:       SPWR
!     PURPOSE:       
!=                   TO WRITE A SPECTRUM FORMAT FILE 
!
!     AUTHOR:        C.S.JEFFERY
!     DATE:          3 FEB 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

!     SUBROUTINE ARGUMENTS
      PARAMETER    (NSP=10000)
      INTEGER       ISP
      CHARACTER*79  SPFILE
      CHARACTER*(*) SPHEAD(2)
      INTEGER       NSPW
      REAL          SPW(1), SPF(1)

!     LOCAL VARIABLES
      INTEGER       LUSP, INDEX, IERR
      CHARACTER*79  HEAD1, HEAD2
      INTEGER       NDAT
!.

!     REPORT START OF PROCEDURE
      CALL OUTSTR ('SPWR: ',SPFILE)

!     WRITE A SPECTRUM FORMAT 0 FILE
      IF (ISP.EQ.0) THEN
         CALL LUOPEN (SPFILE, 'NEW',' ','UNFORMATTED', LUSP,INDEX,IERR)
         IF (IERR.NE.0) GO TO 99
         WRITE (LUSP,ERR=98) SPHEAD(1)
         WRITE (LUSP) SPHEAD(2)
         WRITE (LUSP) NSPW
         WRITE (LUSP) (SPW(IW),SPF(IW),IW=1,NSPW)

!     WRITE A SPECTRUM FORMAT 4 FILE
      ELSEIF (ISP.EQ.4) THEN
         CALL LUOPEN (SPFILE, 'NEW',' ','FORMATTED', LUSP,INDEX,IERR)
         IF (IERR.NE.0) GO TO 99
         WRITE (LUSP,'(1X,A)',ERR=98) SPHEAD(1)
         WRITE (LUSP,'(1X,A)')        SPHEAD(2)
         WRITE (LUSP,*) NSPW
         DO 104 IW = 1,NSPW
104      WRITE (LUSP,*) SPW(IW),SPF(IW)
      ENDIF

!     CLOSE FILE 
      CALL LUSHUT (LUSP,IERR)
      RETURN

!     ERROR INDICATORS
98    CALL MESSGE ('Error writing data')
      CALL LUSHUT (LUSP,IERR)
      RETURN
99    CALL MESSGE ('Error opening file, no data written')
      RETURN

      END
