      SUBROUTINE SPWRIT

!+
!     PROGRAM:       SPWRIT
!     PURPOSE:       
!=                   TO WRITE A SPECTRUM
!
!     AUTHOR:        C.S.JEFFERY
!     DATE:          16 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'spdeck.f'
      INCLUDE 'ctdeck.f'
!.

!     GET NAME OF FILE TO WRITE
      IF (NARG.EQ.0) THEN
         CALL GETCHV ('SPWRIT: Enter name of spectrum file: ',SPFILE)
      ELSE
         SPFILE = ARG(1)
      ENDIF

!     IDENTIFY FORMAT
!     FROM FILE EXTENSION
      DO 101 I = 1,LENSTR(SPFILE,80)
         IF(SPFILE(I:I).EQ.' ') GOTO 110
         IF(SPFILE(I:I).EQ.'.') GOTO 102
101   CONTINUE
      GOTO 110

102   SPFORM = SPFILE(I+1:I+3)
      IF (SPFORM(1:3).NE.'DAT') GOTO 120

!     MANUALLY
110   CALL GETCHV ('SPWRIT: Format identifier (H=Help,Q=Quit): ',SPFORM)
112   IF (SPFORM(1:1).EQ.'Q') THEN
         CALL MESSGE ('SPWRIT: Aborted by user')
         GOTO 9
      ELSEIF (SPFORM(1:1).EQ.'H') THEN
         CALL MESSGE ('   SP0: Spectrum format 0')
         CALL MESSGE ('   SP4: Spectrum format 4')
         GOTO 110
      ENDIF

!     WRITE THE SPECTRUM
120   IF (SPFORM(1:3).EQ.'SP0') THEN
         CALL SPWR (0,SPFILE,SPHEAD,NSPW,SPW,SPF)
      ELSEIF (SPFORM(1:3).EQ.'SP4') THEN
         CALL SPWR (4,SPFILE,SPHEAD,NSPW,SPW,SPF)
      ELSE
         CALL MESSGE ('SPWRIT: Format not recognised')
         GOTO 110
      ENDIF

!     QUIT
9     END
