      SUBROUTINE XYPLOT (X,Y,NX,LHEAD)

!+
!     PROGRAM:       XYPLOT
!     PURPOSE:       
!=                   TO PLOT DATA IN THE CURRENT ARRAYS
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      04.02.88  C.S.JEFFERY / ST.ANDREWS
!
!     INPUT:        X       LOCAL X VALUES
!                   Y       LOCAL Y VALUES
!                   NX      NUMBER OF X VALUES
!                   LHEAD   LOCAL HEADER
!
!     OUTPUT:       
!-

      INCLUDE 'dispgx.f'

!     LOCAL VARIABLES
      REAL          X(1), Y(1)
      INTEGER       NX
      CHARACTER*(*) LHEAD
!.

!     IS A NEW FRAME REQUIRED ?
      IF (DFRAME) CALL GX_CLR

!     SELECT THE CORRRECT PLOTTING AREA
      CALL GX_RSPC (TX0(ITZ), TY0(ITZ), TX1(ITZ), TY1(ITZ))

!     CHECK FOR AUTOSCALING
      IF (DXAUTO) THEN
         CALL MINMAX (X,1,NX,DXMIN,DXMAX)
         XRANGE = DXMAX - DXMIN
         DXMIN  = DXMIN - XRANGE/100.
         DXMAX  = DXMAX + XRANGE/100.
      ENDIF
      IF (DYAUTO) THEN
         CALL MINMAX (Y,1,NX,DYMIN,DYMAX)
         YRANGE = DYMAY - DYMIN
         DYMIN  = DYMIN - YRANGE/10.
         DYMAX  = DYMAX + YRANGE/10.
      ENDIF

!     RESET THE MAPPING FOR NEW BOX
      IF (DBOX) CALL GX_QSPC (DXMIN, DYMIN, DXMAX, DYMAX)

!     PLOT AXES AND LABELS IF REQUIRED
      IF (DBOX) CALL GX_AXES (LHEAD, XLABEL, YLABEL)

!     SET A WINDOW FOR CLIPPING    
      CALL GX_RWDW (TX0(ITZ), TY0(ITZ), TX1(ITZ), TY1(ITZ))

!     PLOT THE DATA
      CALL GX_QPLT (NX,X,Y)

!     SWITCH OFF CLIPPING
      CALL GX_RWDW (0.,0.,1.,1.)

!     CLEAR THE GKS BUFFER
      CALL GX_FLSH

!     QUIT
      END
