FUNCTION AVMET(THETA,FREQ,ASI,AMG)

  !+
  !=    METAL OPACITIES INCLUDING STIMULATED EMISSION
  !
  !     converteed to f77/95 26.4.02 csj
  !-

  IMPLICIT DOUBLE PRECISION (A-H,O-Z)

  !  Function Type
  REAL ::  AVMET

  !  Input Arguments:
  REAL, INTENT(IN) :: THETA  ! 
  REAL, INTENT(IN) :: FREQ   !  frequency
  REAL, INTENT(IN) :: ASI ! 
  REAL, INTENT(IN) :: AMG ! 


  REAL, DIMENSION(11) ::  FLIM

  REAL, SAVE     :: FR = 0.
  INTEGER, SAVE  :: I = 11


  DATA FLIM/19.63E14,18.47E14,17.81E14,15.08E14,14.43E14,11.91E14,&
  7.99E14,7.73E14,6.00E14,4.29E14,3.5E14/

  !.

  TK=.43429/THETA

  !  reset with new frequency
  IF(FREQ /= FR) THEN
     FR=FREQ
     HV=4.1352E-15*FR
     A=.0
     B=.0
     C=.0
     E=.0
     G=.0
     V=.0
     W=.0
     X=.0
     Z=.0

     !  locate polynomical fit for frequency
     WFR=(11.91E14/FR)**11
     CFR=SQRT((FR/15.08E14)**3)
     DO  IX=1,10
        I = IX
        IF (FLIM(IX) <= FR) EXIT
     ENDDO
     IF (FLIM(10) > FR ) I = 11
  ENDIF


  IF (I==1) THEN
     IF (FR>22.20E14) THEN 
        A=(22.20E14/FR)**2*1.446
     ELSE
        A=(FR/19.63E14)**3
        V=.0282
     ENDIF
  ENDIF
  IF (I==2) V=.0282
  IF (I<4) B=.444/EXP(.78/TK)
  IF (I<5) C=CFR*.0628/EXP(1.91/TK)
  IF (I<6) G=.23
  IF (I<7) W=WFR*2.32/EXP(2.71/TK)
  IF (I<8) X=.065/EXP(4.33/TK)
  IF (I<9) D=.974*TK/EXP(5.0/TK)
  IF (I<10) THEN 
     Y=1.90*TK/EXP(5.24/TK)
     E=.069*TK/EXP(5.7/TK)
  ENDIF
  IF (I<11) Z=.090/EXP(5.9/TK)
  IF (I>9) Y=.962*TK/EXP((7.64-HV)/TK)
  IF (I>8) D=.493*TK/EXP((8.14-HV)/TK)

  SUM=ASI*(A+B+C+D+E)*.825+AMG*(V+W+X+Y+Z)*.725
  AVMET=(1.E26/FR)*SUM*(1.-EXP(-HV/TK))*(2.815E29/FR/FR)

END FUNCTION AVMET
