FUNCTION OPHEII(TEMP,PE,RLAMB)

  !+
  !=      Continuous opacity for ionized helium
  !       No stimulated emission
  !-

  !       Double precision version
  IMPLICIT REAL*8 (A-H,O-Z)

  !  Function Type
  REAL ::  OPHEII

  !  Input Arguments:
  REAL, INTENT(IN) :: TEMP  ! Temperature (K)
  REAL, INTENT(IN) :: PE    ! Electron pressure (cgs)
  REAL, INTENT(IN) :: RLAMB ! Wavelength (A)

  !.

  !       Checks if opacity will be important
  IF(TEMP > 10000.0) THEN

     !       Find minimum quantum number for inclusion in opacity calculation
     IMIN=INT(SQRT((43.836E-4)*RLAMB))+1

     !       Factor in exponential
     CONEX=(6.3112E5)/TEMP
     SUM=0.0
     DO I=IMIN,10
        U=CONEX/(I*I)
        SUM=SUM+EXP(U)/(I*I*I)
     ENDDO
     CONST=(16.7184E-26*RLAMB*RLAMB*RLAMB)*EXP(-CONEX)
     OPHEII=CONST*(SUM+0.5*EXP(U)/CONEX)

     !       Opacity set to zero
  ELSE
     OPHEII=0.0
  ENDIF

END FUNCTION OPHEII
