FUNCTION OPHEM(TEMP,PE,RLAMB)

  !+
  !=      Continuous opacity for negative helium ion
  !       Stimulated emission included
  !-


  !       Double precision version
  IMPLICIT REAL*8 (A-H,O-Z)

  !  Function Type
  REAL ::  OPHEM

  !  Input Arguments:
  REAL, INTENT(IN) :: TEMP  ! Temperature (K)
  REAL, INTENT(IN) :: PE    ! Electron pressure (cgs)
  REAL, INTENT(IN) :: RLAMB ! Wavelength (A)

  DIMENSION B(34),W(34),X(34)

  DATA B /.006,.008,.01,.015,.02,.025,.03,.035,.04,.05,.06,.07,.08,.09,.1, &
       .11,.12,.13,.14,.15,.16,.17,.18,.19,.2,.22,.24,.26,.28,.3,.4,.5,.6,.7/

  DATA W /1499.,843.,540.,240.,135.,86.4,60.,44.,34.,22.,15., &
       8.5,8.5,6.7,5.5,4.5,3.8,3.3,2.8,2.5,2.2,1.9, &
       1.7,1.55,1.4,1.2,.98,.84,.73,.64,.37,.24,.17,.13 /

  DATA X /1940.,1090.,700.,311.,175.,112.,78.,57.,44.,28.,20.,14.,11.,8.8,7.1,5.9,5., &
       4.3,3.7,3.2,2.8,2.5,2.3,2.,1.8,1.5,1.3,1.1,.97,.85,.5,.33,.24,.18/

  !.

  THETA=5040.0/TEMP
  WAVE=911.27/RLAMB

  DO II=2,34
     I = II
     IF (WAVE <= B(I)) EXIT
  ENDDO

  C=((WAVE-B(I-1))*W(I)+(B(I)-WAVE)*W(I-1))/(B(I)-B(I-1))
  D=((WAVE-B(I-1))*X(I)+(B(I)-WAVE)*X(I-1))/(B(I)-B(I-1))
  OPHEM=((THETA -0.2)*D+(0.3-THETA)*C)*(1.0E-27)*PE

  IF (OPHEM < 0.0) OPHEM=0.0

END FUNCTION OPHEM
