      SUBROUTINE rtf_blam ( t,nt, wl,nw, blam,nbt )

!+
!=    Calculate the Planck function Blambda
!     on an array of temperature and wavelength values
!-


!     Global constants:
      USE TAPP_PAR

!     Import:
      DOUBLE PRECISION t(1)                      ! temperature vector (K)
      DOUBLE PRECISION wl(1)                     ! wavelength vector  (A)
      INTEGER nt                                 ! number of temperatures
      INTEGER nw                                 ! number ofwavelengths 
      INTEGER nbt                                ! 1st dimension of blam

!     Export:
      DOUBLE PRECISION blam(nbt,1)               ! Array of fluxes

!     Local constants (scaled for arithmetic):
      DOUBLE PRECISION ca, hdcc, htcc, hk
      PARAMETER (ca   = tapp__c                     * 1.0D-02)
      PARAMETER (htcc = tapp__h * tapp__c * tapp__c * 2.0D-50)
      PARAMETER (hdcc = tapp__h / tapp__c / tapp__c * 2.0D+30)
      PARAMETER (hk   = tapp__h / tapp__k           * 1.0D+10)
!.


!     calculate radiation intensity in wavelength units
      DO j = 1,nw
        wl5 = wl(j)**5
        DO i = 1,nt
          s2  = exp (hk*ca/wl(j)/t(i)) - 1
          blam(i,j) = (htcc / wl5) / s2
        ENDDO
      ENDDO

      END
