      SUBROUTINE rtf_bnu ( t,nt, nu,nnu, bnu,nbt )


!+
!=    Calculate the Planck function Bnu
!     on an array of temperature and frequency values
!-


!     Global constants:
      USE TAPP_PAR

!     Import:
      DOUBLE PRECISION t(1)                      ! temperature vector (K)
      DOUBLE PRECISION nu(1)                     ! frequency vector
      INTEGER nt                                 ! number of temperatures
      INTEGER nnu                                ! number of frequencies
      INTEGER nbt                                ! 1st dimension of bnu

!     Export:
      DOUBLE PRECISION bnu(nbt,1)                ! Array of fluxes

!     Local constants (scaled for arithmetic):
      DOUBLE PRECISION ca, hdcc, htcc, hk
      PARAMETER (ca   = tapp__c                     * 1.0D-02 )
      PARAMETER (htcc = tapp__h * tapp__c * tapp__c * 2.0D-50)
      PARAMETER (hdcc = tapp__h / tapp__c / tapp__c * 2.0D+30)
      PARAMETER (hk   = tapp__h / tapp__k           * 1.0D+10)
!.


!     calculate radiation intensity 
      DO j = 1,nnu
        nu3 = nu(j)*nu(j)*nu(j)
        DO i = 1,nt
          s2  = exp (hk * nu(j)/t(i)) - 1
          bnu(i,j) = (hdcc * nu3) / s2
        ENDDO
      ENDDO

      END
