      
      FUNCTION rtf_expi(n,x)


!+
!=    Calculation of the exponential integral
!      (algorithm hacked fro Uli Heber's line formation code.)
!-


      IMPLICIT  NONE

      INTEGER   n                                 !
      REAL*8    x                                 !
      REAL*8    rtf_expi                          ! En(x)

      REAL*8    exn, ex, x2, aa
      INTEGER   i
!.


      IF (x.LE.0.) THEN
        IF (n.GT.1) THEN
          ex = 1.0 / float(n-1)
        ELSE
          ex = 0.
        ENDIF

      ELSEIF (x.LT.1.0) THEN
        exn = exp(-x)
        ex = -log(x)
     :        + ((((((((-0.310020e-5*x+0.283447e-4)*x-0.2314815e-3)
     :       *x+0.166667e-2)*x-0.1041667e-1)*x+0.5555556e-1)*x-0.25)
     :       *x+1.0)*x-0.57721566)
        IF (n.gt.1) THEN
          DO i = 2,n
            ex = (exn - x*ex) / float(i-1)
          ENDDO
        ENDIF

      ELSEIF (x.LE.5.0) THEN
        exn = exp(-x)
        ex = exn/x*(((x+5.12669020)*x+4.53079235)*x+.23729050)
     :       /(((x+6.12652717)*x+8.66601262)*x+2.47663307)
        IF (n.gt.1) THEN
          DO i = 2,n
            ex = (exn - x*ex) / float(i-1)
          ENDDO
        ENDIF

      ELSEIF (x.LE.50.) THEN
        exn = exp(-x)
        aa = x + 9.0
        x2 = aa*aa
        ex = exn*((((54.0*x*x-648.0*x+729.0)/x2+81.0-18.0*x)/x2+9.0)
     :       /x2+1.0)/aa
        IF (n.lt.9) THEN
          DO i = 8,n,-1
            ex = (exn - i*ex) / x
          ENDDO
        ELSEIF (n.gt.9) THEN
          DO i = 10,n
            ex = (exn - x*ex) / float(i-1)
          ENDDO
        ENDIF

      ELSE
        ex = 0.
      ENDIF



      rtf_expi = ex


      END
