      FUNCTION rtf_fint (tau)

!+
!=    Provide the integrand S(tau).E2(tau) for the integration of the transfer equation.
!     The source function is interpolated onto
!     the local value of tau using the QUB routine POLY
!-


      INTEGER    kd
      PARAMETER (kd=100)

      INTEGER    n                                ! Source function
      REAL*8     tt(kd),  ss(kd),  amu            ! imported via common
      COMMON    /rtf_source/ tt, ss, amu, n

      REAL*8     tau, rtf_fint                    ! Import / Export

      INTEGER    d                                ! Local variables
      REAL*8     s, e2, rtf_expi
!.


!      locate tau in array tt
       d = 1
       DO WHILE (tau.GT.tt(d+1)) 
         d = d + 1
       ENDDO
       CALL rtf_poly (tt(d),ss(d),tau,s)

       e2 = rtf_expi (2,tau)
       rtf_fint = s * e2



      END
