      FUNCTION rtf_iint (tau)


!+
!=    Provide the integrand S(tau).e^(-tau/mu) for the integration of the transfer equation.
!     The source function is interpolated onto the local value of tau
!-


      INTEGER    kd
      PARAMETER (kd=100)

      INTEGER    n                                ! Source function
      REAL*8     tt(kd),  ss(kd),  amu            ! imported via common
      COMMON    /rtf_source/ tt, ss, amu, n

      REAL*8     tau, rtf_iint                    ! Import / Export

      INTEGER    d                                ! Local variables
      REAL*8     s
!.


!     locate tau in array tt
       d = 1
       DO WHILE (tau.GT.tt(d+1)) 
         d = d + 1
       ENDDO
       CALL rtf_poly (tt(d),ss(d),tau,s)

       rtf_iint = s * exp (-tau/amu)


      END
