      SUBROUTINE rtf_poly (x,y,xx,yy)                                        


!+
!=    Use quadratic interpolation on the 3-point data in arrays
!     x and y to evaluate the function yy at the point xx.
!     If zero-xintervals are given, linear or 3-point averages are 
!     used. (Based pn qub program 'poly').
!-


      IMPLICIT REAL*8 (a-h,o-z)

!     Input:
      DOUBLE PRECISION x(*)                      ! array of x values
      DOUBLE PRECISION y(*)                      ! y (x)
                                                 ! NB only first 3 values used
      DOUBLE PRECISION xx                        ! x point to interpolate y

!     Output:
      DOUBLE PRECISION yy                        ! interpolated y value
!.


      a=x(1)-xx                                                         
      b=x(2)-xx                                                         
      c=x(3)-xx                                                         
      d=x(1)-x(2)                                                       
      e=x(2)-x(3)                                                       
      f=x(3)-x(1)                                                       

!     .quadratic interpolation/extrapolation
      IF (d*e*f.ne.0.0) THEN
        yy=-b*c/(d*f)*y(1)                                                
     :     -a*c/(d*e)*y(2)                                                
     :     -a*b/(e*f)*y(3)                                                
      
!     .linear interpolation/extrapolation
      ELSEIF (d.ne.0. .OR. e.ne.0.) THEN
        IF (d.eq.0.) yy=(b*y(3)-.5*c*(y(1)+y(2)))/e                         
        IF (e.eq.0.) yy=(c*y(1)-.5*a*(y(2)+y(3)))/f                         
        IF (f.eq.0.) yy=(a*y(2)-.5*b*(y(1)+y(3)))/d                         

!     .three point average
      ELSE
        YY=(Y(1)+Y(2)+Y(3))/3.0                                      

      ENDIF
      END                                                               
