      SUBROUTINE CHECK_HE1

!+
!
!  CHECK_HE1
!
!= Confirm choice of HeI line profiles
!
!  Spectrum uses quadratic interpolation in temperature, density and
!           wavelength in one of the following tables:
!           NHEDAT = 1:  BCS: 4026, 4388, 4471, 4921
!           NHEDAT = 2:  Beachamp et al., 21 lines
!
!-

      USE SPC_GLOBAL, ONLY : NHEDAT
      USE SPC_GLOBAL, ONLY : NWRITE

!.

      WRITE (NWRITE,200) NHEDAT
      IF(NHEDAT.EQ.1) THEN
        WRITE(NWRITE,201)
      ELSEIF(NHEDAT.EQ.2) THEN
        WRITE(NWRITE,202)
      ELSE
        WRITE(NWRITE,203)
      ENDIF
      WRITE (NWRITE,*)

 200  FORMAT(/' Choice of HeI broadening tables: NHEDAT = ',I3)
 201  FORMAT( ' ** BCS: 4026, 4388, 4471, 4921')
 202  FORMAT( ' ** Beachamp et al., 21 lines')
 203  FORMAT( ' ** Voigt profiles for all lines: ',
     :        ' Stark data from Dimitrijevic & Sahal-Brechot 1990') 

      END
