      SUBROUTINE DP_ATDATA
!+     
!=    Input subroutine for atomic data for atoms and ions
!     This all needs to be run at SPECTRUM startup.
!     
!     
!     
!     Double precision version
!-    

!    Public constants
      USE SPC_CONSTANTS
      USE TAPM_PAR
      USE TAPP_PAR

!    Global variables
      USE SPC_GLOBAL

!    Implicit typing (denegrated)
      IMPLICIT REAL*8 (A-H,O-Z)

!.


!     Collect atomic data from TAP
!     Stored in COMMON/IONS/

      DO I = 1,KI
        IION(I)   = I
        CALL TAP_ENAME ( I, ELEM(I), STATUS )
        COSMIC(I) = TAP_ABSOL ( I )
        ATW(I)    = TAP_EMASS ( I )
      ENDDO

      RION(1,1) = TAP_IONPT ( 1,  0 )
      RION(2,1) = TAP_IONPT ( 1, -1 )
      RION(1,2) = TAP_IONPT ( 2,  0 )
      RION(2,2) = TAP_IONPT ( 2,  1 )
      RION(3,2) = TAP_IONPT ( 2, -1 )
      DO I = 3,KI
        RION(1,I) = TAP_IONPT ( I, 0 )
        DO J = 2,MIN(6,I)
          RION(J,I) = TAP_IONPT ( I, J-1 )
!     if i.p. is not known (returned as TAP__DNULL) add 10 to previous i.p.
          IF (RION(J,I).LT.-9999.) RION(J,I) = RION(J-1,I)+(J-1)*10.
        ENDDO
      ENDDO


!     Debug output
     
      IF(BUGAT) THEN
        WRITE(NDEBUG,900)(ELEM(J),COSMIC(J),ATW(J),(RION(I,J),I=1,4),
     *       J=1,20)
        WRITE(NDEBUG,901)
      ENDIF
      RETURN

     
!     Debug statements
     
 900  FORMAT(//5X,'ELEMENT',4X,'COSMIC',5X,'AT WE',
     *     10X,'IONIZATION POTENTIALS',20X,'PARTITION FUNCTIONS'//
     *     20(3X,A8,6F10.3/))
 901  FORMAT(//7X,'ISP',6X,'NION',6X,'WAVE',8X,'GF',
     *     6X,'EDAM',6X,'RDAM',5X,'EXCIT')
      END
