      FUNCTION f_integral (tau)

!+
!     Purpose:
!=    Provide integrand for the integration of the transfer equation.
!
!     Description:
!     Provide the integrand S(tau).E2(tau) for the integration of
!     the transfer equation. The source function is interpolated onto
!     the local value of tau using the QUB routine POLY
!-

      INTEGER    kd
      PARAMETER (kd=201)

      INTEGER    n                                ! Source function
      REAL*8     tt(kd),  ss(kd),  amu            ! imported via common
      COMMON    /source_block/ tt, ss, amu, n

      REAL*8     tau, f_integral                  ! Import / Export

      INTEGER    d                                ! Local variables
      REAL*8     s, e2, rtf_expi
!.

!     locate tau in array tt
       d = 1
       DO WHILE (tau.GT.tt(d+1)) 
         d = d + 1
       ENDDO
       CALL poly (tt(d:d+2),ss(d:d+2),tau,s)

       e2 = rtf_expi (2,tau)
       f_integral = s * e2

      END
