      SUBROUTINE HETYPE

!
!=      Checks for type of helium line
!       If non-diffuse NHETYP = 0
!          diffuse     NHETYP is number in helium arrys
!          ionized     NHETYP is MINUS number in ionized helium array
!
!       If Stark broadening data exists
!          IDHES points to line in Stark data arrays
!
!       If Beachamp/Barnard broadening data exist
!          IDHE1 points to line in tabulated profile arrays
!
!       If tabulated HeII data exist
!          IDHE2 points to line in tabulated profile arrays
!-

!  Global variables
      USE SPC_GLOBAL

!  Double precision version
      IMPLICIT REAL*8 (A-H,O-Z)

!.

!  Initialize NHETYP 

      NHETYP=0
      

!  Define WTOLHE: This allows He1 lines to be input as whole numbers by
!                 lazy people using the program in single line mode.

      INTWAV=INT(RLAMB)
      REAWAV=REAL(INTWAV)
      
      WTOLHE=0.1
      IF(ABS(RLAMB-REAWAV).LT.1.0E-4) THEN
        WTOLHE=1.0  
      ENDIF

!  Check Helium I data tables and set pointers

      IDHE = 0; IDHE1 = 0; IDHES = 0
      DO I=1,NHE
        WDIFF=ABS(RLAMB-WAVHE(I))
        IF (WDIFF < WTOLHE) THEN
          IDHE  = I
          IDHES = ITABHE(1,I)
          ! Pointer for BCS tables
          IF (NHEDAT == 1) IDHE1 = ITABHE(2,I)
          ! Pointer for Beachamp tables
          IF (NHEDAT == 2) IDHE1 = ITABHE(3,I)
        ENDIF
      ENDDO

!  Check Schoning & Butler data tables

      IDHE2 = 0
      DO I=1,NHE2
        WDIFF=ABS(RLAMB-WAVHE2(I))
        IF (WDIFF < WTOLHE) IDHE2 = I
      ENDDO

!  Set NHETYP for old times sake

      NHETYP = IDHE1 - IDHE2

      END

