      FUNCTION OPAC (TEMP,PG,PE,RLAMB,CAP,SIG,JD,NOPTYP,I_OPWL)

!+
!
!=      Main function to calculate opacity
!
!-

!  Switch off implicit typing
      IMPLICIT NONE

!.

!  Function type.
      REAL                 :: OPAC    ! total opacity

!  Function Arguments (Given).
      INTEGER, INTENT(IN)  :: JD      ! Depth index
      REAL, INTENT(IN)     :: TEMP    ! Gas temperature
      REAL, INTENT(IN)     :: PG      ! Gas pressure
      REAL, INTENT(IN)     :: PE      ! Electron pressure
      REAL, INTENT(IN)     :: RLAMB   ! Wavelength
      INTEGER, INTENT(IN)  :: I_OPWL  ! OP Wavelenth index (should be 0)
      INTEGER, INTENT(IN)  :: NOPTYP  ! opacity selection flag

!  Function Arguments (Returned).
      REAL, INTENT(OUT)    :: CAP     ! bf+ff opacity
      REAL, INTENT(OUT)    :: SIG     ! e-s opacity

!.

!      write (*,*) 'opac'
!      write (*,*) temp,pg,pe,rlamb,cap,sig,jd,noptyp,iwl

!  Original QUB opacities
      IF (NOPTYP == 0) THEN
         ! write (*,*) jd,iwl,temp,pg,pe,rlamb
         CALL OPAQUB (TEMP,PG,PE,RLAMB,OPAC,CAP,SIG,JD)
         ! write (*,*) opac, cap, sig

!  KIEL opacities 
!  (continuum and scattering processes)
      ELSEIF (NOPTYP == 1) THEN
         ! write (*,*) jd,iwl,temp,pg,pe,rlamb
         CALL OP_KIEL_FFBF (TEMP,PG,PE,RLAMB,OPAC,CAP,SIG,JD)
         ! write (*,*) opac, cap, sig

!  OP opacities 
!  (continuum and scattering processes)
      ELSEIF (NOPTYP == 2) THEN
         ! write (*,*) jd,iwl,temp,pg,pe
         CALL OP_OP_FFBF (JD,I_OPWL,TEMP,PG,PE,RLAMB,OPAC,CAP,SIG)
         ! write (*,*) rlamb, opac, cap, sig

      ENDIF
      END
