SUBROUTINE PLANCK (T,FRE,BN,ND)

  !+
  !=    planckfunktion (nach boehm und deinzer (z.astrophys.61,1,(1965)))
  !-

  ! No global typing
  IMPLICIT NONE

  ! Subroutine Arguments
  DOUBLE PRECISION, INTENT(IN), DIMENSION(*) :: T
  DOUBLE PRECISION, INTENT(IN) :: FRE
  INTEGER, INTENT(IN) :: ND
  DOUBLE PRECISION, INTENT(OUT), DIMENSION(*) :: BN

  ! Local Variables
  INTEGER :: J
  DOUBLE PRECISION :: CBC, EP

  ! Local Constants
  DOUBLE PRECISION, PARAMETER :: HH = 4.79930E-11
  DOUBLE PRECISION, PARAMETER :: H2 = 1.32504E-26
  DOUBLE PRECISION, PARAMETER :: CC2 = 8.98758E+20

  !.

  CBC = (H2*FRE**2)*FRE/CC2
  DO J = 1,ND
     EP = HH*FRE/T(J)
     IF (EP <= 85.) THEN
        BN(J) = CBC/(EXP(EP)-1.)
     ELSE
        BN(J) = 0.
     ENDIF
  ENDDO

END SUBROUTINE PLANCK
