      SUBROUTINE POLY(X,Y,XX,YY)

!+
!=      Quadratic intepolation
!-

!       Double precison version

      IMPLICIT REAL*8 (A-H,O-Z)


!       Input array

      DIMENSION X(3),Y(3)                                                  
!.
      A=X(1)-XX                                                         
      B=X(2)-XX                                                         
      C=X(3)-XX                                                         
      D=X(1)-X(2)                                                       
      E=X(2)-X(3)                                                       
      F=X(3)-X(1)                                                       


!       Check for equal X values

      IF(D*E*F.NE.0.0) THEN


!       Quadratic interpolation/extrapolation

        YY=-B*C/(D*F)*Y(1)                                                
     1     -A*C/(D*E)*Y(2)                                                
     2     -A*B/(E*F)*Y(3)                                                
        RETURN                                                           
      
      ELSEIF(D.NE.0.0.OR.E.NE.0.0) THEN


!       Linear interpolation/extrapolation

        IF(D.EQ.0.0)YY=(B*Y(3)-.5*C*(Y(1)+Y(2)))/E                         
        IF(E.EQ.0.0)YY=(C*Y(1)-.5*A*(Y(2)+Y(3)))/F                         
        IF(F.EQ.0.0)YY=(A*Y(2)-.5*B*(Y(1)+Y(3)))/D                         
        RETURN                                                            

      ELSE


!       Three point average

        YY=(Y(1)+Y(2)+Y(3))/3.0                                      
        RETURN

      ENDIF
                                                            
      END                                                               
