SUBROUTINE SPC_ABUND (SELNO, SELID, SELAB)

  !+
  ! 
  !=    Subroutine to set abundances for each line in SYNTHESIS calculation
  !
  !-

  !  Global variables
  USE SPC_GLOBAL

  !  Double Precision version
  IMPLICIT REAL*8 (A-H,O-Z)

  !  Subroutine Arguments (given).
  INTEGER SELNO          ! number of elements treated
  INTEGER SELID(*)       ! atomic numbers of elems for which abunds given
  REAL    SELAB(*)       ! abundances of above elements

  !  Local storage for sorting abundances
  REAL    ABUNDS(KI)

  !.

  !  Check for metal scaling
  FESC = 0.0
  DO J = 1,SELNO
     IF (SELID(J).EQ.26) FESC = SELAB(J) - COSMIC(26)
  ENDDO

  !  Set default abundances to cosmic value (scaled to iron abundance)
  ABUNDS(1:2)  = COSMIC(1:2)
  ABUNDS(3:KI) = COSMIC(3:KI) + FESC

  !  Overwrite defaults with input abundances
  DO J = 1,SELNO
     K = SELID(J)
     ABUNDS(K) = SELAB(J)
  ENDDO

  !  Assign abundances to relevant lines  
  NABSY=1
  DO J=1,NELSY
     ABUSY(J)=0.0
     DO K=1,KI
        IF(K.EQ.NSPSY(J))THEN
           ABUSY(J)=ABUNDS(K)
        ENDIF
     ENDDO
  ENDDO


END SUBROUTINE SPC_ABUND
