MODULE SPC_PULSE_PUB

  !   collect the pulsation data structures
  USE LTE_STRUCTURES
  
  DOUBLE PRECISION, DIMENSION(:),   ALLOCATABLE :: PULS__ZONES ! Mr 
  DOUBLE PRECISION, DIMENSION(:),   ALLOCATABLE :: PULS__ZONED ! dM
  DOUBLE PRECISION, DIMENSION(:),   ALLOCATABLE :: PULS__ZONEM ! M* - Mr
                             !  Data structures containing PULS__ND mass zones
  DOUBLE PRECISION, DIMENSION(:),   ALLOCATABLE :: PULS__TIMES 
                             !  Data structure containing PULS__NT times
  TYPE(PULS_HYDRO), DIMENSION(:,:), ALLOCATABLE :: PULS__MODEL 
                             !  Data structure containing model envelope
  INTEGER ::  PULS__ND       !  1st dimension of PULS__MODEL, number of depths
  INTEGER ::  PULS__NT       !  2nd dimension of PULS__MODEL, number of phases

  LOGICAL ::  PULS__OK = .FALSE.   ! Flag to indicate if puls model read ok 

  INTEGER ::  PULS__NSTART = 0      !  1st model to compute (=0 => compute static model)
  INTEGER ::  PULS__NEND   = 1      !  Last model to compute
  INTEGER ::  PULS__NSKIP  = 1      !  Number to skip

END MODULE SPC_PULSE_PUB
