
  subroutine BNUE(T,FRE,BN,N)

!+
!
!  Planck function (Boehm & Deinzer (Z.Astrophys.61,1,(1965))) 
!
!-
    use lte_precisions

    implicit none

      integer, intent(in) :: N     ! number of depth points 
      real, intent(in) :: FRE      ! frequency to evaluate Planck function
      real, intent(in) :: T(N)    ! array of temperatures 
      real(kind=qq), intent(out) :: BN(N)  ! array of Planck fluxes

      integer :: i
      real(kind=rr) :: a, ep

!  Local constants.
      real, parameter :: HK = 4.799216363E-11    ! h/k
      real, parameter :: H2 = 1.3252151E-26      ! 2h
      real, parameter :: CC2 = 8.9875551787E+20  ! c^2

!.

      a = H2*FRE*FRE*FRE/CC2
      do i = 1,N
       	 ep = HK*FRE/T(i)
         BN(i) = a/(EXP(ep)-1.)
      end do

    
  end subroutine BNUE
