SUBROUTINE INMOD (INPUT_MODEL,NN,XX,YY,ALPHA,OP_MAXNA,TEMP_MODEL,GRAD,CAP4,PP,PPE)

  !+
  !   INMOD
  !
  !  Input previous model 
  !
  !  History
  !  	2020.11.04 -- adapted to allow filename to be passed to subroutine
  !     2020.11.04 -- also rationalised for adjustable arrays
  !                -- note:  OUTMOD should be adjusted in sync
  !                -- note:         should use .MODEL rather tahn .MOD format
  !
  !-

  IMPLICIT NONE

  !  Subroutine arguments (Given).
  CHARACTER*(*), INTENT(IN)  :: INPUT_MODEL
  INTEGER, INTENT(IN) :: NN
  INTEGER, INTENT(IN) :: OP_MAXNA

  !  Subroutine arguments (returned).
  REAL, INTENT(OUT) :: XX, YY
  REAL, INTENT(OUT) :: ALPHA(*)
  REAL, INTENT(OUT) :: TEMP_MODEL(*), GRAD(*), CAP4(*), PP(*), PPE(*)

  !  Local variables.
  INTEGER :: K

  !.
  
  OPEN(9,FILE=INPUT_MODEL,STATUS='OLD')

  READ(9,*) XX,YY
  READ(9,*) (ALPHA(K),K=1,10)          
  READ(9,*) (ALPHA(K),K=11,20)
  READ(9,*) (ALPHA(K),K=21,30)          
  READ(9,*) (ALPHA(K),K=31,40)          
  READ(9,'(10F8.1)')  (TEMP_MODEL(K), K = 1,NN)  
  READ(9,'(10E10.3)') (GRAD(K), K = 1,NN)            
  READ(9,'(10F8.4)')  (CAP4(K), K = 1,NN)            
  READ(9,'(10F8.4)')  (PP(K), K = 1,NN)              
  READ(9,'(10F8.4)')  (PPE(K), K = 1,NN)             

  CLOSE (9)

  
END SUBROUTINE INMOD

