  SUBROUTINE OUTPUT1  (KEY_OPBF,DELT,LK,t_new)

    USE LTE_PRECISIONS
    USE LTE_WLGRID
    USE LTE_MODEL
    USE OP_GLOBAL
    USE stn_parameters
    USE stn_switches
    USE stn_composition
    USE stn_intgra
    USE stn_convergence
    USE stn_constants

    IMPLICIT NONE

!  Subroutine arguments.
   
      CHARACTER(len=12), INTENT(in) :: KEY_OPBF 

      REAL :: t_new(ND)
      REAL :: DELT(ND)

      INTEGER :: LK           ! last model flag (true if LK=0)

!. local variables

      REAL :: AHYD, AHEL, ACAR, ANIT
      REAL(kind=qq) :: FF_const 
      ! REAL(kind=qq) :: WAVREF
      REAL :: PG(ND), PE(ND)

      INTEGER :: NLP
      INTEGER :: I, J

      
      ! INTEGER :: out
      ! REAL :: CAPW, RBF,SIGW
      ! REAL(kind=qq) :: WLS         ! Wavelength (cm)
      ! INTEGER :: IW                   ! Wavelength index
      ! REAL :: kap_lambda


!***  H- UND HE- HAEUFIGKEIT AM INNEREN RAND. BEI  GESCHICHTETEN ATMOS-
!***  PHAEREN HAUFIGKEIT AM AEUSSEREN RAND BEACHTEN
      AHYD = 100.*alpha(1,ND)
      AHEL = 100.*alpha(2,ND) 
      ACAR = 100.*alpha(6,ND)
      ANIT = 100.*alpha(7,ND)

      FF_const = SIGMA*TEFF**4/PI 

      DO  J = 1,ND 
        PG(J) = LOG10(P_total(J))
        PE(J) = LOG10(P_e(J))
      ENDDO
      NLP = 5

!  Print header for final model output.
      IF (LK.EQ.0) THEN
        NLP = 1
        WRITE(*,*)
        WRITE(*,700)
        IF (IEL.EQ.0) THEN
          WRITE(*,321) LM
        ELSE 
          WRITE(*,322) LM,alpha(2,50),alpha(2,1),TAUX0
        ENDIF

!  Print header for iteration output
      ELSE
        WRITE(*,301) LM 
        NLP = 5
      ENDIF
      
!  Print out the model structure.
      WRITE(*,305)
      WRITE(*,306) TEFF,GLG,FF_const,AHYD,AHEL,ACAR,ANIT 
      WRITE(*,307)
      WRITE(*,308) (I,LOG10(tau(I)),temp(I),DELT(I)*temp(I), &
        & PG(I),PE(I),kappa(I), &
        & sig(I),DENS(I),DIST(I),GRAD(I),FLX(I), &
        & 100.*((FLX(I)/FF_const)-1.), &
        & I=1,ND,NLP)
     
!  No more output for intermediate iterations.
      IF (LK.NE.0) RETURN


!  Print out the convergence summary.
      WRITE(*,*)
      WRITE(*,1000)
      WRITE(*,1100) (I,LOG10(CORREC(I)),LOG10(DELREC(I)),I=1,NIT)
      WRITE(*,*)


 !! Print out ionisation equilibrium & opacities for the appropriate case:
      SELECT CASE (KEY_OPBF)
        CASE ("OP")
    
!  Print out the ionisation equilibrium.
          WRITE(*,111)
          WRITE(*,115) 'H 0 ','He0 ','He+ ','C 0 ','C + ','C 2+','C 3+','N 0 ','N +  ','N 2+','N 3+'
          DO J = 1,ND
            WRITE(*,112) J,LOG10(tau(J)),OP_XION(1,1,J),OP_XION(1,2,J),OP_XION(2,2,J), &
                 &  (OP_XION(I,6,J),I=1,4),(OP_XION(I,7,J),I=1,4)
          ENDDO
          WRITE(*,115) 'Fe0 ','Fe+ ','Fe++','Fe3+','Ni0 ','Ni+ ','Ni++','Ni3+','Ge0 ','Ge+ ','Ge++','Ge3+'
          DO J = 1,ND
            WRITE(*,112) J,LOG10(tau(J)), &
                 &  (OP_XION(I,26,J),I=1,4),(OP_XION(I,28,J),I=1,4),(OP_XION(I,32,J),I=1,4)
          ENDDO
          WRITE(*,115) 'Sr0 ','Sr+ ','Sr++','Sr3+','Y 0 ','Y + ','Y ++','Y 3+','Zr0 ','Zr+ ','Zr++','Zr3+'
          DO J = 1,ND
            WRITE(*,112) J,LOG10(tau(J)), &
                 &  (OP_XION(I,38,J),I=1,4),(OP_XION(I,39,J),I=1,4),(OP_XION(I,40,J),I=1,4)
          ENDDO

111       FORMAT (//'   IONISATION FRACTIONS '/) 
112       FORMAT (1X,I3,0P,F7.2,1P,12E11.3)
115       FORMAT (/ 2X,'nd',3X,'tau',6X,A4,11(7X,A4))

          
!!$!  Print out the opacity at reference wavelength(s).
!!$          IF (N_OPWL.GT.0) THEN
!!$            DO I = 1,N_OPWL
!!$              WAVREF = opwl(I)
!!$              WRITE(*,101) WAVREF
!!$              WRITE(*,102)
!!$              DO J = 1,ND
!!$                CALL st_opac (KEY_OPBF,J,0,temp(J),10.**PG(J),10.**PE(J), &
!!$                   &  WAVREF,CAPW,RBF,SIGW)
!!$                WRITE(*,104) J,LOG10(tau(J)),SIGW, &
!!$                  &  OPFFH1+KAPPABF(1,1), OPFFHM, &
!!$                  &  OPFFHE1+KAPPABF(2,1),OPFFHE2+KAPPABF(2,2),OPFFHEM,&
!!$                  &  OPFFC1+KAPPABF(6,1), OPFFC2+OPFFC2X+KAPPABF(6,2), &
!!$                  &  OPFFC3+KAPPABF(6,3), &
!!$                  &  OPFFN1+KAPPABF(7,1), OPFFN2+KAPPABF(7,2),&
!!$                  &  OPFFN3+KAPPABF(7,3)
!!$              ENDDO
!!$              WRITE(*,105)
!!$              DO J = 1,ND
!!$                CALL st_opac (KEY_OPBF,J,0,temp(J),10.**PG(J),10.**PE(J), &
!!$                  &  WAVREF,CAPW,RBF,SIGW)
!!$                WRITE(*,104) J,LOG10(tau(J)),SIGW, & 
!!$                  & OPFFCM, OPFFO1+KAPPABF(8,1), OPFFMG1+KAPPABF(12,1), &
!!$                  & OPFFMG2+KAPPABF(12,2),OPFFSI1+KAPPABF(14,1), &
!!$                  & OPFFSI2+KAPPABF(14,2),OPFFAL1+KAPPABF(13,1),OPFFCA2+KAPPABF(20,2)
!!$              ENDDO
!!$              WRITE(*,107)
!!$              DO J = 1,ND
!!$                CALL st_opac (KEY_OPBF,J,0,temp(J),10.**PG(J),10.**PE(J), &
!!$                  &  WAVREF,CAPW,RBF,SIGW)
!!$                WRITE(*,104) J,LOG10(tau(J)),KAPPABF(26,3), & 
!!$                  & KAPPABF(26,4), KAPPABF(26,5), KAPPABF(26,6), &
!!$                  & KAPPABF(13,2),KAPPABF(8,2), &
!!$                  & KAPPABF(13,3),KAPPABF(8,3),KAPPABF(14,3)
!!$              ENDDO
!!$              WRITE(*,108)
!!$              DO J = 1,ND
!!$                CALL st_opac (KEY_OPBF,J,0,temp(J),10.**PG(J),10.**PE(J), &
!!$                  &  WAVREF,CAPW,RBF,SIGW)
!!$                WRITE(*,104) J,LOG10(tau(J)),KAPPABF(14,4), & 
!!$                  & KAPPABF(13,4), KAPPABF(8,4), KAPPABF(12,3), &
!!$                  & KAPPABF(12,4),KAPPABF(20,1), &
!!$                  & KAPPABF(20,3),KAPPABF(20,4),KAPPABF(6,4)
!!$              ENDDO
!!$              WRITE(*,109)
!!$              DO J = 1,ND
!!$                CALL st_opac (KEY_OPBF,J,0,temp(J),10.**PG(J),10.**PE(J), &
!!$                  &  WAVREF,CAPW,RBF,SIGW)
!!$                WRITE(*,104) J,LOG10(tau(J)),KAPPABF(7,4), & 
!!$                  & KAPPABF(9,1), KAPPABF(9,2), KAPPABF(9,3), &
!!$                  & KAPPABF(9,4),KAPPABF(11,1), &
!!$                  & KAPPABF(11,2),KAPPABF(11,3),KAPPABF(11,4)
!!$              ENDDO
!!$              WRITE(*,110)
!!$              DO J = 1,ND
!!$                CALL st_opac (KEY_OPBF,J,0,temp(J),10.**PG(J),10.**PE(J), &
!!$                  &  WAVREF,CAPW,RBF,SIGW)
!!$                WRITE(*,104) J,LOG10(tau(J)),KAPPABF(16,1), & 
!!$                  & KAPPABF(16,2), KAPPABF(16,3), KAPPABF(16,4), &
!!$                  & KAPPABF(18,1),KAPPABF(18,2), &
!!$                  & KAPPABF(18,3),KAPPABF(18,4)
!!$              ENDDO
!!$            ENDDO
!!$          ENDIF


        CASE ("KIEL")

!  Print out the ionisation equilibrium.
          WRITE(*,100)
          WRITE(*,103)
          DO J = 1,ND
            WRITE(*,104) J,LOG10(tau(J)),OP_XION(1,1,J),OP_XION(1,2,J),OP_XION(2,2,J), &
                 &  (OP_XION(I,6,J),I=1,4),(OP_XION(I,7,J),I=1,4)
          ENDDO

100   FORMAT(//'   IONISATION FRACTIONS '//) 
104   FORMAT(1X,I3,0P,F7.2,1P,12E11.3)
103   FORMAT(2X,'NR',3X,'TAU',5X,'HI',9X,'HeI',8X,'HeII',7X,'CI',9X, &
       & 'CII',8X,'CIII',7X,'CIV',8X,'NI',9X,'NII',8X,'NIII',7X,'NIV',/)


!!$!  Print out the opacity at reference wavelength(s).
!!$          IF (N_OPWL.GT.0) THEN
!!$            DO I = 1,N_OPWL
!!$              WAVREF = opwl(I)
!!$              WRITE(*,101) WAVREF
!!$              WRITE(*,102)
!!$              DO J = 1,ND
!!$                CALL st_opac (KEY_OPBF,J,0,temp(J),10.**PG(J),10.**PE(J), &
!!$                   &  WAVREF,CAPW,RBF,SIGW)
!!$                WRITE(*,104) J,LOG10(tau(J)),SIGW, &
!!$                  &  OPK_H1, OPK_HM, &
!!$                  &  OPK_HE1,OPK_HE2,OPK_HEM,&
!!$                  &  OPK_C1, OPK_C2, OPK_C3, &
!!$                  &  OPK_N1, OPK_N2, OPK_N3
!!$              ENDDO
!!$              WRITE(*,105)
!!$              DO J = 1,ND
!!$                CALL st_opac (KEY_OPBF,J,0,temp(J),10.**PG(J),10.**PE(J), &
!!$                  &  WAVREF,CAPW,RBF,SIGW)
!!$                WRITE(*,104) J,LOG10(tau(J)),SIGW, & 
!!$                  & OPK_CM, OPK_O1, OPK_MG1, &
!!$                  & OPK_MG2,OPK_SI1,OPK_SI2, &
!!$                  & OPK_AL1, OPK_CA2
!!$              ENDDO
!!$            ENDDO
!!$          ENDIF
!!$

      END SELECT

! Print out the opacity summary
      IF (LK .EQ. 0) THEN
         WRITE(*,*)
         WRITE(*,250)
         WRITE(*,210)
         WRITE(*,220) (I,KAPP(I),KAPJ(I),KAPF(I),B(I),t_new(I), I = 1,ND)
      ENDIF
   

305   FORMAT(23X,'TEFF',5X,'LOG GRAV',5X,'FLUX',10X,'H%',9X,'HE%', 9X, &
       & 'C%',10X,'N%')
306   FORMAT(20X,F8.1,5X,F5.2,5X,1PE9.3,4(4X,1PE8.2))
307   FORMAT(/,' NR   LOGTAU     T       DELT   LOGPG  LOGPE   KAPPA   SIGMA     ', &
             & 'RHO       DIST      DPR/DTAU    FLUX      100*DF/F',/)
308   FORMAT(1X,I3,2X,F6.3,2X,0PF8.1,F9.1,2F7.3,1P,3E10.3, &
       &  3E11.3,0PF10.3) 


! 101  FORMAT(//'   CONTINUOUS OPACITIES : AT ', F8.1, ' ANGSTROMS'//) 
! 102  FORMAT(2X,'NR',3X,'TAU',5X,'sig',8X,'HI',9X,'H-', &
!                 &   9X,'HEI',8X,'HEII',7X,'HE-', &
!                 &   8X,'CI',9X,'CII',8X,'CIII',7X,'NI',9X,'NII',8X,'NIII',/)
! 105  FORMAT(/2X,'NR',3X,'TAU',5X,'sig',8X,'C-',9X,'O1', &
!                 &   9X,'MG1',8X,'MG2',8X,'SI1', &
!                 &   8X,'SI2',8X,'AL1',8X,'CA2',/)
! 107  FORMAT(/2X,'NR',3X,'TAU',5X,'Fe3',8X,'Fe4',9X,'Fe5', &
!                 &   9X,'Fe6',8X,'Al2',8X,'O2', &
!                 &   8X,'Al3',8X,'03',8X,'Si3',/)
! 108  FORMAT(/2X,'NR',3X,'TAU',5X,'Si4',8X,'Al4',9X,'O4', &
!                 &   9X,'Mg3',8X,'Mg4',8X,'Ca1', &
!                 &   8X,'Ca3',8X,'Ca4',8X,'C4',/)
! 109  FORMAT(/2X,'NR',3X,'TAU',5X,'N4',8X,'F1',9X,'F2', &
!                 &   9X,'F3',8X,'F4',8X,'NA1', &
!                &   8X,'NA2',8X,'NA3',8X,'NA4',/)
! 110  FORMAT(/2X,'NR',3X,'TAU',5X,'S1',8X,'S2',9X,'S3', &
!                 &   9X,'S4',8X,'Ar1',8X,'Ar2', &
!                 &   8X,'Ar3',8X,'Ar4',/)
! 106  FORMAT( E11.3)
      
301   FORMAT(//,3X,I4,'.TE TEMPERATURE STRUCTURE',//)
321   FORMAT (//'   CONVERGED MODEL ',I4,' ITERATIONS HOMOGENEOUS',//)
322   FORMAT (//'   CONVERGED MODEL ',I4,' ITERATIONS STRATIFIED:', &
        & ' N(HE) = ',F6.3,' (INNEN), N(HE) = ',F6.3,' (AUSSEN), TAU0 = ', &
        &  E10.4,//) 
250   FORMAT(//'   TEMPERATURE CORRECTION '//)
210   FORMAT(//,7X,2HNR,8X,4HKAPP,10X,4HKAPJ,10X,4HKAPF,10X,1HB,11X, &
       & 5HDELB1,9X,5HDELB2,10X,4HTNEU,/) 
220   FORMAT(5X,I4,1PE14.2,3E14.2,0PF14.1)

700   FORMAT(30X,'  L T E - S T E R N A T M O S P H A E R E N P R O G R A M M  ')
1000  FORMAT(10X,' CONVERGENCE: LOG(SQRT(SUM(DELTA T/T)^2)',/,10X,'ITER.   CORREC')
1100  FORMAT(10X,I4,3X,2F12.4)


! 210   FORMAT(//,7X,2HNR,8X,4HKAPP,10X,4HKAPJ,10X,4HKAPF,10X,1HB,11X,4Ht_new,/) 
! 500   FORMAT(1H1,'   FLAMBDA AN DER OBERFLAECHE') 
! 510   FORMAT(//,6X,6HLAMBDA,5X,4HFLAM,8X,6HLAMBDA,5X,4HFLAM,8X, &
!       & 6HLAMBDA,5X,4HFLAM,8X,6HLAMBDA,5X,4HFLAM,8X,6HLAMBDA,5X,4HFLAM,/)
! 520   FORMAT(3X,0PF10.3,1PE11.3,2X,0PF10.3,1PE11.3,2X,0PF10.3, &
!      & 1PE11.3,2X,0PF10.3,1PE11.3,2X,0PF10.3,1PE11.3)
! 600   FORMAT(//,'  D(HEI 3422) = ',F7.4,5X,'D(HI 3646) = ',F7.4) 
! 707   FORMAT(F8.1, 2X, 50E11.3)
! 706   FORMAT(e11.3, 2X, 50E11.3)
! 708   FORMAT(F8.1, 2X, 50E11.3) 

  END SUBROUTINE OUTPUT1 
