MODULE STN_COMPOSITION

  IMPLICIT NONE

  ! This module  contains the composition distribution of the model, 
  ! including any stratification, if any
  ! set by the input file in the main program, which is specified by the user.

  INTEGER, PARAMETER :: NZ = 82  ! Number of elements
  
  
  CHARACTER(13), DIMENSION(NZ) :: ELEM ! element names
  REAL,          DIMENSION(NZ) :: ATW  ! atomic weights by element

  !! ** It would be good to convert to double precision in due course ...
  !! some consequences for temporary subroutine arguments in some places.
  !! ** csj 17.7.2020
  
  REAL,ALLOCATABLE, DIMENSION(:,:) :: ALPHA    ! composition of atmosphere: 
  
  REAL,          DIMENSION(NZ) :: ALPMET  ! number fractions for homogeneous mixtures
  REAL,          DIMENSION(NZ) :: BETMET  ! mass fractions for homogeneous mixtures
  REAL,          DIMENSION(NZ) :: EPSMET  ! mass fractions for homogeneous mixtures
  
  REAL,          DIMENSION(NZ) :: ALPSOL  ! number fractions for solar mixtures
  REAL,          DIMENSION(NZ) :: BETSOL  ! mass fractions for solar mixtures
  REAL,          DIMENSION(NZ) :: EPSSOL  ! solar abundances (log rel. to H=12.00)
  
  
  ! Dimensions of composition arrays set by number of elements being 
  ! considered and the number of depth points - set by the input file
  ! Arrays are allocated and deallocated in the main program 
  
END MODULE STN_COMPOSITION
