MODULE STN_PARAMETERS

  IMPLICIT NONE

  ! This module contains the physical parameters of the model. The values are 
  ! set by the input file in the main program, which is specified by the user.
  
  CHARACTER(LEN=6)  :: STN__VERSION
  CHARACTER(LEN=40) :: STN__LABEL
  
  REAL :: TEFF      ! Effective temperature (K)
  REAL :: GRAV      ! Gravity (cm/s**2) 
  REAL :: GLG       ! Log_GRAV (base 10)
  REAL :: WM        ! Mean atomic mass
  
  INTEGER :: ND                  ! Number of depth points 
  
  REAL :: EP_0      ! threshold of opacity (opacity sampling)
  
END MODULE STN_PARAMETERS
