  SUBROUTINE STN_STRATI

!+
!  This subroutine replaces Sterne's STRATI
! Sets up the element stratification for H and He if IEL /= 0
!-
   
    USE LTE_MODEL
    USE STN_PARAMETERS
    USE STN_SWITCHES
    USE OP_GLOBAL, ONLY : OP_MAXNA
    USE OP_GLOBAL, ONLY : OP_ALPNN

    IMPLICIT NONE

    INTEGER :: IZ, JD
    REAL :: X

 !. 
      DO IZ=1,OP_MAXNA
        IF (IZ > 2) OP_ALPNN(IZ,1) = OP_ALPNN(IZ,ND)
        OP_ALPNN(IZ,2:ND) = OP_ALPNN (IZ,ND)  
      ENDDO 

      IF (IEL /= 0) THEN
        DO JD=1,ND-1        
          X = TAU(JD)/TAUX0
          IF (X < 1) THEN
            OP_ALPNN(IEL,JD) = OP_ALPNN(IEL,1)*EXP(LOG(OP_ALPNN(IEL,ND)/OP_ALPNN(IEL,1))*X*X)
            OP_ALPNN(2,JD) = 1.0-OP_ALPNN(IEL,JD)
          ENDIF
        ENDDO
          WRITE(*,*) 'Element stratification for H and He:'
          WRITE(*,*) 'At the surface: H = ',OP_ALPNN(1,1),' HE = ',OP_ALPNN(2,1)
          WRITE(*,*) 'TAU0 = ',TAUX0
          WRITE(*,100) 
          WRITE(*,110) (tau(JD),OP_ALPNN(1,JD),OP_ALPNN(2,JD),JD=1,ND)
          100 FORMAT(/,1X,'   TAU           H       HE ',/)
          110 FORMAT(1X,E12.4,2F8.3)
      
      ELSE
          OP_ALPNN(1:OP_MAXNA,1) = OP_ALPNN(1:OP_MAXNA,ND) 
      ENDIF

 ! initialise the mean atomic weights
      CALL OP_ALPMU (ND) 

  END SUBROUTINE STN_STRATI
