  MODULE STN_SWITCHES

    IMPLICIT NONE

    ! This module contains the model switches. The values are set by the input 
    ! file in the main program, which is specified by the user.

      INTEGER :: LM         ! If not using a previous model,set LM=1,otherwise 
                            ! set to the number of the last iteration of the last 
                            ! model. LM serves as a 'saved' counter for temperature 
                            ! iterations.
      INTEGER :: MAX_ITER   ! Maximum number of iterations (default 150)


      INTEGER :: IEL        ! if using homogeneous model , set to 0, otherwise set to 1
      REAL :: TAUX0         ! used in construction of non-homogeneous model 
      REAL :: ALPHAX0       ! used in construction of non-homogeneous model 

      INTEGER :: IGREY      ! If set to 0, start from grey model
                               ! If set to 1, start from partially converged atmosphere

      REAL :: BB_DVC        ! interval (delta v/c) for opacity sampling
      REAL :: VMIC          ! micro-turbulent velocity (km/s -> v/c)

      INTEGER :: N_OPWL     ! number of opacity reference wavelengths

      REAL, ALLOCATABLE, DIMENSION (:) :: OPWL     ! Opacity reference wavelengths, number 
                                                   ! set by by input file (N_OPWL)

      INTEGER :: NG          ! Switch for Ng acceleration

  END MODULE STN_SWITCHES
