      SUBROUTINE KEY_PC (PARSTR,CPAR)

!+
!
!  Subroutine:    
!     KEY_PC
!
!  Purpose:
!=     Extract first parameter as character variable from a parameter string
!
!
!  Arguments:
!     PARSTR (Input)  Character*(*)  :  current command string 
!     PARSTR (Output)                :  as input with first word removed
!     CPAR   (Output)                :  first word of input command string
!     
!-
      CHARACTER   PARSTR*(*), CPAR*(*)
      INTEGER IKL
!.

!    Get the string length and check it is non-zero
      CALL STR_NULL ( CPAR )
      CALL STR_LEN ( PARSTR, LS )
      IF (LS == 0) RETURN

!    Strip leading blanks
      DO II = 1,LS
       I = II
       IF (PARSTR(I:I) /= ' ') EXIT
      ENDDO
      PARSTR = PARSTR(I:LS)
      CALL STR_NULL ( PARSTR(2+LS-I:LEN(PARSTR)) )

!    Check length of string and check for embedded blank (separator)
      CALL STR_LEN ( PARSTR, LS )
      IKL = INDEX (PARSTR, ' ')

!    If string contains a blank, pick up first word
      IF (IKL > 1 .AND. IKL < LS) THEN
       CPAR   = PARSTR(1:IKL-1)
       CALL STR_TRIM ( CPAR, IKL-1 )
       PARSTR = PARSTR(IKL+1:LS)
       CALL STR_TRIM ( PARSTR, LS-IKL )

!    Otherwise return whole string
      ELSE
       CPAR   = PARSTR(1:LS)
       CALL STR_NULL ( PARSTR )
      ENDIF

      END
