      SUBROUTINE STR_INFO

!+
!
!     STR
!
!=    A collection of subroutines for handling strings and parameter I/O
!     under several loose headings
!
!     STR_TEXT:   General text i/o facilities
!     STR_IO:     i/o for variables (with prompt / description)
!     STR_CONV:   conversion of character to numerical variables
!     STR_MAN:    manipulation of character variables
!     STR_KEY:    keyword / keystroke command utilities
!
!     Author:
!     CSJ   C.S.Jeffery (St Andrews)
!
!     Date:
!       1987 - 1991   various versions
!       19.July.1991
!
!
!
!
!     STR_TEXT
!
!     STR_TEXT (message)                 write single line message
!     STR_ERR  (origin, report)          write simple error message
!     STR_HEAD (text)                    output section header
!     STR_FOOT                           output section footer
!     STR_BEGS (text)                    output subsection header
!     STR_ENDS                           output subsection footer
!     STR_PF                             output page throw
!     STR_LF   (n)                       output n linefeeds
!     STR_DEF  (cr_unit, lp_unit)        default i/o units
!     STR_OPEN (file, status, mode, unit, index, status)
!                                        open file and return unit number
!     STR_SHUT (unit)                    close file on given unit
!
!
!
!
!     STR_IO
!
!     STR_GETC ( prompt, string )        get character variable from default input
!     STR_GETR ( prompt, real_var )      get real floating point variable
!     STR_GETD ( prompt, dble_var )      get double precision variable
!     STR_GETI ( prompt, int_var )       get integer variable
!     STR_OUTC ( prompt, string )        print character variable to default output
!     STR_OUTR ( prompt, real_var )      print real floating point variable
!     STR_OUTD ( prompt, dble_var )      print double precision variable
!     STR_OUTI ( prompt, int_var )       print integer variable
!
!
!
!     STR_CONV
!
!     STR_ITOC ( int_var, string )       convert integer to string
!     STR_CTOI ( string, int_var )       convert string to integer
!     STR_CTOR ( string, real_var )      convert string to real
!     STR_CTOD ( string, dble_var )      convert string to double precision
!
!
!
!
!     STR_MAN
!
!     STR_LEN   ( string, length )       length of character string
!     STR_UCASE ( string )               convert all letters to upper case
!     STR_LCASE ( string )               convert all letters to lower case
!     STR_LEFT  ( string )               left justify string
!     STR_EQUIV ( str1, str2, equiv )    determine quivalence of two strings      convert string to integer
!
!
!
!
!     STR_KEY
!
!     KEY_CHK   ( cc, list )             return single char. from allowed list
!     KEY_HIT   ( cc )                   return single character
!     KEY_WRN                            warn about live keypoard
!
!     KEY_OPEN  ( kunit, file )
!     KEY_GET   ( keywrd, parstr, kunit, kstat )
!                                        get next keyword from current parameter
!                                        string - or next string if processing
!                                        is complete
!     KEY_PC    ( parstr, cpar )         extract next argument as string
!     KEY_PR    ( parstr, rpar )         extract next argument as real variable
!     KEY_PI    ( parstr, ipar )         extract next argument as integer variable
!     KEY_PL    ( parstr, lpar )         extract next argument as logical variable
!     KEY_INIT  ( parstr )               flush command buffer
!-

!.
      END

