MODULE TAP_PAR

!+
!  Name:
!     TAP_PAR

!  Purpose:
!=    Theoretical Astrophysics Library public global constants.

!  Language:
!     Fortran 90

!  Type of Module:
!     Global contants module

!  Description:
!     This file defines all the TAP public global constants which refer
!     to the way the package is accessed. It does not include physical 
!     values, these are contained in the TAPA_PAR, TAPC_PAR, TAPM_PAR 
!     and TAPP_PAR include files for the astrophysical, chemical, 
!     mathematical and physical public global constants defined in the 
!     include files respectively.

!  Authors:
!     PCTR: P.C.T. Rees (STARLINK)
!     {enter_new_authors_here}

!  History:
!     14-JAN-1992 (PCTR):
!        Original version.
!     08-JAN-2002 (CSJ):
!        conversion to F90.
!     {enter_changes_here}

!  Bugs:
!     {note_any_bugs_here}

!-

!  The number of elements for which data are provided by TAP, i.e. the
!  maximum atomic number.
      INTEGER, PARAMETER :: TAP__NELEM = 92

!  The total number of nuclides for which data are provided by TAP.
      INTEGER, PARAMETER :: TAP__NNUCL = 375


!  Null INTEGER value.
      INTEGER, PARAMETER :: TAP__INULL = -99999

!  The maximum length of a message returned by TAP_ERMSG (this is the same
!  value as EMS__SZMSG so that the two systems can be interchanged 
!  using TAP_ERROR).
      INTEGER, PARAMETER :: TAP__SZMSG = 200

!  Null REAL value.
      REAL, PARAMETER :: TAP__RNULL = -99999.99

!  Small REAL value.
      REAL, PARAMETER :: TAP__RSMAL = 1.0E-05

!  Null DOUBLE PRECISION value.
      DOUBLE PRECISION, PARAMETER :: TAP__DNULL = -99999.99D+00
      
!  Small DOUBLE PRECISION value.
      DOUBLE PRECISION, PARAMETER :: TAP__DSMAL = 1.0D-10
      
!.

END MODULE
