MODULE TAP_SYS

!+
!  Name:
!     TAP_SYS

!  Purpose:
!=    Theoretical Astrophysics Library private global constants.

!  Language:
!     Starlink Fortran 90

!  Type of Module:
!     Global constants module.

!  Description:
!     This file defines all the TAP private global constants which refer
!     to the way the package is designed internaly. Public global constants 
!     for TAP are provided in TAP_PAR. Physical data provided in the 
!     TAPA_PAR, TAPC_PAR, TAPM_PAR and TAPP_PAR include files for the 
!     astrophysical, chemical, mathematical and physical public global 
!     constants defined in the include files respectively.

!  Authors:
!     PCTR: P.C.T. Rees (STARLINK)
!     {enter_new_authors_here}

!  History:
!     13-JAN-1993 (PCTR):
!        Original version.
!     {enter_changes_here}

!  Bugs:
!     {note_any_bugs_here}

!-

!  The total number of nuclides for which data are provided by TAP.
INTEGER TAP__NNUCL
PARAMETER ( TAP__NNUCL = 375 )

!.

END MODULE TAP_SYS

