       SUBROUTINE GAUSS_CONV (W,F1,F,NW,SIG)

!+
!
!  ***************
!  *** WARNING *** this subroutine is a horrendous CPU guzzler.
!  *************** 
!
!                  DO NOT USE  -  try ..pack/math/qsmooth
!
!  Program:
!      GAUSS_CONV
!
!  Purpose:
!=     Convolves data with a Gaussian profile (!! do not use!!)
!      (DOES NOT ASSUME REGULAR 'X' INTERVALS)
!      (ADAPTED ENTIRELY FROM IHSMTH IN DIPSO)
!
!  Arguments (given).
!     W      (REAL)  ARRAY OF wavelength VALUES
!     F1     (REAL)  ARRAY OF flux VALUES
!     NW     (INTEGER)  SIZE OF (W, WORK, FLUX) ARRAYS
!     SIG    (REAL)  SIGMA FOR SMOOTHING FUNCTION
!                    FWHM = 2.354 * sigma
!
!  Arguments (given and returned).
!     F      (REAL)  ARRAY OF convolved flux VALUES
!
!- 

!  Global declarations.
       IMPLICIT NONE

!  Subroutine arguments (Given).
       REAL    W(1)
       REAL    F1(1)
       INTEGER NW
       REAL    SIG

! Subroutine arguments (Returned).
       REAL F(1)

! Local variables.
       INTEGER I, J
       INTEGER JSTART, J1
       INTEGER NQ

       REAL SIGMA, SIG3
       REAL FI, WTI, WV, W1, W2
       REAL GAUSWT, WTGAUS
       REAL WAV1, WAVN
       REAL W0, WX
       REAL WAVA,WAVB, WRKA,WRKB, DW

       LOGICAL JTST

!.

! Gaussian function
       WTGAUS(W0,SIGMA,WX) = EXP(-0.5*((WX-W0)/SIGMA)**2)



!  INITIALISATIONS
       IF (SIG.LE.0.0) THEN
          DO I = 1, NW
             F(I) = F1(I)
          END DO
          WRITE (*,'('' Sigma less than or equal 0 - no smooth'')')
          GOTO 300
       ENDIF
       SIG3 = 3.0*SIG
       JSTART = 1
       WAV1 = W(1)
       WAVN = W(NW)


!  INTEGRATE DATA OVER +/- 3 SIGMA
       DO I = 1, NW
          FI = 0.0
          WTI = 0.0
          WV = W(I)
          W1 = WV - SIG3
          W2 = WV + SIG3
          IF (W1.LT.WAV1) W1 = WAV1
          IF (W2.LT.WAVN) W2 = WAVN
          J1 = JSTART
          JTST = .TRUE.
          NQ = 0
          DO J = J1, NW
             IF (W(J).GE.W1) THEN
                IF (JTST) THEN
                   JTST = .FALSE.
                   JSTART = J
                   WAVA = W(J)
                   WRKA = F1(J)
                   NQ = NQ + 1
                ELSE
                   IF (W(J).GT.W2) GOTO 150
                   WAVB = W(J)
                   WRKB = F1(J)
                   DW   = (WAVB-WAVA)
                   GAUSWT = WTGAUS(WV,SIG,(WAVA+WAVB)/2.)
                   FI  = FI + (WRKA+WRKB)*0.5*GAUSWT*DW
                   WTI    = WTI + GAUSWT*DW
                   WAVA = WAVB
                   WRKA = WRKB
                   NQ = NQ + 1
                ENDIF
             ENDIF
          END DO
  150     CONTINUE
          IF (WTI.GT.0.0) THEN
             F(I) = FI/WTI
          ELSEIF (NQ.EQ.1) THEN
             F(I) = F1(JSTART)
          ELSE
             F(I) = 0.0
          ENDIF
       END DO

  300  CONTINUE

       END
