

      MODULE KFIT_MODELS

!+
!
!  Module:
!     kfit_models
!
!  Purpose:
!=    Holders for global variables containing Kurucz model fluxes
!     to be used by programme binfit
!
!  Language:
!     Fortran 90
! 
!  Authors:
!     C.S.Jeffery (CSJ) (Armagh Observatory)
!
!  History:
!     27-May-1999: CSJ
!        original version
!
!-

      INTEGER, PARAMETER :: KWMAX = 1500  ! maximum number of wavelengths
      INTEGER, PARAMETER :: KTMAX =   40  ! maximum number of temperatures

      INTEGER   :: NWKMOD            ! number of wavelengths in model
      INTEGER   :: NTKMOD            ! number of temperatures to read
      DOUBLE PRECISION :: KCOMP             ! composition for Kurucz models
      DOUBLE PRECISION :: KTEFF             ! temperature of model
      DOUBLE PRECISION :: KLOGG             ! gravities of model
      DOUBLE PRECISION :: WKMOD(KWMAX)      ! wavelengths in model
      DOUBLE PRECISION :: FKMOD(KWMAX)      ! fluxes in model
      CHARACTER :: KMODTITLE*72      ! title for model grid
      CHARACTER :: KMODHEAD*72       ! header for model spectra
!.
      END MODULE KFIT_MODELS
