

MODULE SFIT_BINDATA

!+
!
!  Module:
!     sfit_bindata
!
!  Purpose:
!=    Holders for global variables containing a grid of synthetic spectra
!     binned to the wavelength grid of SFIT_OBSDATA
!
!  Language:
!     Fortran 90
! 
!  Authors:
!     C.S.Jeffery (CSJ) (Armagh Observatory)
!
!  History:
!     09-FEB-2000: CSJ
!        original version
!
!-

  USE XFIT_DIMS

  INTEGER   :: NWBIN                  ! number of bin wavelengths in model
  REAL      :: WBIN(NWMAX)            ! wavelength bins in model
  REAL      :: FBIN(NWMAX,NTMAX,NGMAX)! fluxes in model
!.
END MODULE SFIT_BINDATA
