      FUNCTION VSINI_TRAP (X,Y,N,XLO,XUP,XC,FAC,B)

!+
!
!= Do trapezoidal integration of Y(*) between XLOWER and XUPPER
!  weighted by rotational broadening function ROT.  ROT is also
!  integrated between the same limits for correct normalization.
!  NORM is the normalization factor.
!
!-

      REAL X(*),Y(*),NORM

!.

!  Initialize TRAP and NORM
      TRAP=0.0
      NORM=0.0

!  Locate index in array X(*) corresponding to limits of integration
      CALL LOCATE(X,N,XLO,ILO)
      CALL LOCATE(X,N,XUP,IUP)

!      write (*,*) 'VSIN_TRAP :b,xc,fac = ', B,XC,FAC
!      write (*,*) 'VSIN_TRAP :x1,xn,xl,xup = ', X(1),X(N),XLO,XUP
!      write (*,*) 'VSIN_TRAP :n,ilo,iup = ', N,ILO,IUP

!  Prevent array indices oing out of limits
      ILO = MAX(1,ILO)
      IUP = MIN(IUP,N-1)

!  Trapezoidal integration
      XA=FAC*(XC-X(ILO))
      VA=VSINI_ROT(XA,B)
      DO I=ILO+1,IUP+1,1
         XB=FAC*(XC-X(I))
         VB=VSINI_ROT(XB,B)
         RAB=(VA+VB)/2.
         YAB=(Y(I-1)+Y(I))/2.
         WT=RAB*(XB-XA)
         TRAP=TRAP+YAB*WT
         NORM=NORM+WT
         XA=XB
         VA=VB
      END DO

!  Normalise TRAP
!      write (*,*) 'VSIN_TRAP :trap,norm = ', TRAP,NORM
      IF (NORM.NE.0.) THEN
         TRAP=TRAP/NORM
         if (iup.eq.n) then 
            CALL LOCATE(X,N,XC,I)
            TRAP=Y(I)
         endif
      ELSE
         CALL LOCATE(X,N,XC,I)
         TRAP=Y(I)
      ENDIF

      VSINI_TRAP = TRAP

      END
