MODULE XFIT_DIMS

!+
!
!  Module:
!     xfit_dims
!
!  Purpose:
!=    Specify maximum dimensions for all fixed-size arrays
!     used by the SFIT program collection
!
!  Comment:
!     12.ii.2012 - this needs to be replaced by variable size arrays 
!
!  Language:
!     Fortran 90
! 
!  Authors:
!     C.S.Jeffery (CSJ) (Armagh Observatory)
!
!  History:
!     29-JAN--2002: CSJ
!        original version
!
!-

! Arrays FMOD, AMOD, CMOD, FBIN, ABIN, CBIN  are NWMAXxNTMAXxNGMAXxNHMAX
! Arrays FMOD2,AMOD2,CMOD2,FBIN2,ABIN2,CBIN2 are NWMAXxNTMAXxNGMAXxNHMAX


! INTEGER, PARAMETER :: NWMAX = 32768 ! maximum number of wavelengths
  INTEGER, PARAMETER :: NWMAX = 50000 ! maximum number of wavelengths
  INTEGER, PARAMETER :: NTMAX =    12 ! maximum number of temperatures
  INTEGER, PARAMETER :: NGMAX =    10 ! maximum number of gravities
  INTEGER, PARAMETER :: NHMAX =    10 ! maximum number of He abundances

  INTEGER, PARAMETER :: NWMAX2= NWMAX ! maximum number of wavelengths
  INTEGER, PARAMETER :: NTMAX2=     2 ! maximum number of temperatures
  INTEGER, PARAMETER :: NGMAX2=     2 ! maximum number of gravities
  INTEGER, PARAMETER :: NHMAX2=     2 ! maximum number of He abundances

  INTEGER, PARAMETER :: NOMAX = 50000 ! max number of observed wavelengths
!.

END MODULE XFIT_DIMS
