*
*       Calculates individual opacities per atom or ion
*
      PROGRAM OPAC_CHECK

*
*       Double precision version
*
      IMPLICIT REAL*8 (A-H,O-Z)

*
*       Common blocks
*
      INCLUDE 'LT_SOURCE:COMMON_ALL'

*
*       Input/output streams
*
      NWRITE=6
      NDISC=7
      NATOM=11
      NMODEL=20
*
*       Read in atomic data
*
      CALL ATDATA

*
*       Define number of model (large number) and number of depth points
*
      NMOD=999
      NDEPTH=25

*
*       Cycle over model atmospheres
*
      DO I=1,NMOD

*
*       Read in model atmosphere
*

        CALL MODEL_ATM

*
*       Output atmospheric parameters
*
        WRITE(NWRITE,200)TEFF,GRAV,AHE
        WRITE(NDISC,200)TEFF,GRAV,AHE

*
*       Set Wavelength
*
        WAVECH=5000.

        DO J=1,NDEPTH

*
*       Calculates opacities
*
          COPHI=   OPHI(TEMP(J),PE(J),WAVECH)
          COPHL=   OPHL(TEMP(J),PE(J),WAVECH)
          COPHM=   OPHM(TEMP(J),PE(J),WAVECH)
          COPHEI=  OPHEI(TEMP(J),PE(J),WAVECH)
          COPHEII= OPHEII(TEMP(J),PE(J),WAVECH)
          COPHEL=  OPHEL(TEMP(J),PE(J),WAVECH)
          COPHEM=  OPHEM(TEMP(J),PE(J),WAVECH)

*
*       Output opacities
*
          WRITE(NWRITE,201)TAU(J),TEMP(J),PG(J),PE(J),OP(J),
     *                     COPHI,COPHL,COPHM,
     *                     COPHEI,COPHEII,COPHEL,COPHEM
          WRITE(NDISC,201)TAU(J),TEMP(J),PG(J),PE(J),OP(J),
     *                     COPHI,COPHL,COPHM,
     *                     COPHEI,COPHEII,COPHEL,COPHEM

        ENDDO

*
*       New page on disc file
*
      WRITE(NDISC,203)

      ENDDO

      STOP

*
*       No more models
*
   10 WRITE(6,202)

      STOP

*
*       Format statements
*
  200 FORMAT(//6X,'TEFF=',F9.0,10X,'GRAV=',1PE10.3,10X,'N(HE)=',0PF8.3
     *//7X,' TAU',4X,'TEMP',8X,'PG',8X,'PE',8X,'OP',
     *6X,'OPHI',6X,'OPHL',6X,'OPHM',
     *5X,'OPHEI',4X,'OPHEII',5X,'OPHEL',5X,'OPHEM')
  201 FORMAT(1PE10.2,0PF9.0,1P10E10.2)
  202 FORMAT(///' ***** NO MORE MODELS *****')
  203 FORMAT('1')
      END
























































